### Registro de Cambios (ChangeLog)

Release 20160829

- New: Se resaltan en el márgen izquierdo las lineas que generan errores o warnings luego de una compilación, y se muestra el mensaje de error simplificado al colocar el mouse sobre el mismo.
- Imp: Se puede alterar el orden en que enlazan las bibliotecas que genera un proyecto.
- Imp: En la configuración de una biblioteca generada por un proyecto ahora se puede indicar que no se enlace en el ejecutable final.
- Imp: Agregada una opción en el menu contextual del trazado inverso para evitar que el step-in del depurador se detenga en una función particular.
- Imp: Pequeños cambios estéticos en la página de bienvenida.
- Fix: La tecla Escape sirve para ocultar cualquiera de los panel autoocultable con árboles que tenga el foco.
- Fix: Se abren correctamente los archivos con caracteres especiales en su nombre o ruta en sistemas UTF8, y se avisa si hay problemas al guardar con un nuevo nombre (solución/limitación temporal hasta que se migre a wx3).
- Fix: Corregido un error por el cual en algunos casos no se aplicaba correctamente el esquema de colores en los márgenes.
- Fix: Corregido el funcionamiento de la opción para evitar que el step-in del depurador se detenga en ciertos fuentes.
- Fix: El path del directorio de binarios del compilador se aplica correctamente en GNU/Linux.
- Fix: Correcciones en el indentado inteligenta para casos en los que hay estructuras de control anidadas sin llaves que delimiten sus bloques.
- Fix: Corregido el error por el cual se modificaba la selección cuando ésta abarcaba más de una línea de código al utilizar los atajos Ctrl+T y Ctrl+Shift+T.
- Fix: Corregido un error por el cual ZinjaI se cerraba en su primer ejecución en GNU/Linux si no encontraba una terminal conocida.
- Fix: Implementado un workaround para los nombres de archivos de la referencia C++ que no son válidos en sistemas de archivos de Windows.

Release 20160523

- Imp: Agregada una opción en las preferencias para hacer que gdb se detenga cuando se lanza una excepción.
- Imp: El cuadro de lista de breakpoints muestra correctamente los catchpoints.
- Imp: Mejorada la forma en que se notifica cuando una herramienta externa no está correctamente instalada.
- Fix: Corregido el error por el cual el cuadro de preferencias no cargaba correctamente el lenguaje actual.
- Fix: El cuadro de opciones de compilación y ejecución de proyecto recuerda correctamente la última pestaña visitada.

Release 20160420

- Imp: Nuevo cuadro de diálogo para reemplazar a la pregunta que se utilizaba para agregar/quitar los argumentos de compilación adicionales para gprof y gcov.
- Fix: Corregido el comportamiento del cuadro de diálogo para ingresar argumentos antes de una ejecución.
- Fix: Corregido un error por el cual algunos paneles (principalmente relacionados a la depuración) no se eliminaban al ser cerrados y continuaban consumiendo recursos aún cuando ya no eran accesibles.
- Fix: Corregido un error por el cual ocurría un segfault al reiniciar la depuración luego de explorar ciertas inpecciones y no mantener el explorador abierto.
- Fix: Corregida la política de actualización del panel de resultados de gcov.
- Fix: Corregida la alineación de los contadores en el panel de gcov en Windows.
- Fix: Corregido un error en el diálogo de preferencias que podía producir un segfault.
- Fix: Corregido un error por el cual el cuadro de opciones de compilación de un proyecto no recordaba la pestaña seleccionada.
- Fix: Corregido un error en el indentado inteligente que podía producir un bucle infinito para ciertos fragmentos de código incorrecto.
- Fix: Corregido un error en la notificación de la carga fallida del archivo de idioma para la interfaz.

Release 20160328

- New: Durante la depuración se puede observar el código objeto (menu Depuración->Más...->Mostrar desensamblado...) y avanzar paso a paso por instrucciones de máquina.
- Imp: Se agregó una opción en el diálogo de opciones de compilación de proyecto para que el compilador reporte los warnings como errores.
- Imp: Se agregó una opción para activar las link-time optimizations (LTO) en el diálogo de opciones de compilación de un proyecto.
- Imp: Si al ejecutar paso a paso la evaluación de alguna de las inspecciones genera un segfault se informa al usuario con un mensaje ad-hoc, ya que el backtrace puede quedar desactualizado o corrompido.
- Fix: Corregido un problema por el cual en algunos sistemas GNU/Linux la pausa de la depuración funcionaba solo una vez por ejecución.
- Fix: Corregido un error por el cual el trazado inverso no limpiaba correctamente las filas no utilizadas al reducirse el número de frames en una actualización.
- Fix: Se corrigió el comportamiento del botón Cancelar del cuadro de preferencias (no todas las preferencias se reestablecían a sus valores anteriores).
- Fix: Se corrigió la aplicación del nivel de advertencias de la configuración de un proyecto al comando generado para compilar sus fuentes (la opción "Todas" no siempre se aplicaba correctamente).

Release 20160222

- New: La instalación de un complemento ahora puede modificar ciertas preferencias (por ejemplo: definir una plantilla por defecto, agregar una herramienta personalizada, o activar un nuevo índice de autocompletado).
- New: Al abrir un fuente fuera de proyecto, se utiliza una plantilla para configurar las opciones de compilación. Las plantillas (una por defecto para fuentes C++ y otra para fuentes C) se configuran desde el cuadro de preferencias.
- New: Se agregó un nuevo item en el menú ayuda para buscar y ejecutar comandos y atajos por palabras clave.
- New: Se agregó un nuevo panel que permite registrar y recorrer un historial de trazados inversos (se accede desde el menú contextual del Panel de Trazado Inverso).
- New: Se agregó una nueva opción al menú contextual del Panel de Trazado Inverso que permite volver a ver el trazado anterior al actual.
- New: Se agregó un item en el menú "Depuración" para repetir automáticamente los comandos "Step In" y "Step Over".
- New: Se agregó un item en el menú contextual del panel del explorador de archivos para abrir un archivo con la aplicación por defecto para su tipo.
- New: Se reorganizó la pestaña "Programa/Proyecto" del cuadro de preferencias.
- Imp: Se corrigieron varios errores en los menúes contextuales que se despliegan con los botones "..." luego de un cuadro de texto en muchos diálogos de configuracion.
- Imp: Se agregaron tres esquemas de colores nuevos para el coloreado de sintaxis, ports realizados por Jerónimo Navarro de los temas Apprentice (https://github.com/romainl/Apprentice/), gruvbox (https://github.com/morhetz/gruvbox) y one-light-sintax (https://github.com/atom/one-light-syntax), y se actualizaron los esquemas Solarized y Zenburn.
- Imp: El archivo de proyecto guarda la configuración de las ejecuciones de valgrind (archivo de supresiones y argumentos adicionales), y se puede usar ${PROJECT_PATH} para indicar la ruta del archivo de suppressiones.
- Fix: Corregido el reemplazo de argumentos de plantillas para adaptarlos a versiones viejas de GCC (por ejemplo, cambiar --std=c++14 por --std=c++1y en versiones 4.8 o anterior).
- Fix: Corregidos algunos errores en la visualización de botones con íconos y textos, mayormente visibles en temas de escritorio con textos claros sobre fondos oscuros.
- Fix: La barra de herramientas especial para operar con los resultados de las comparaciones con diff ya no permanece visible al reiniciar ZinjaI.
- Fix: Se corrigió el comportamiento del botón "..." para elegir el directorio de trabajo en el cuadro de diálogo de argumentos para la ejecución.
- Fix: Las opciones del menú contextual de una pestaña para abrir la carpeta contenedora y ver las propiedades de un archivo abierto funcionan correctamente aunque el archivo no pertenezca al proyecto actual.
- Fix: Se corrigieron en los toolchains los comandos para generar bibliotecas dinámicas y estáticas (estaban invertidos).
- Fix: Se corrigieron errores de parseo para el autocompletado relacionados al uso de la sintaxis de inicialización uniforme (llaves) para valores por defecto en argumentos de funciones.
- Fix: Más ajustes en el algoritmo de indentado inteligente.
- Fix: Se corrigieron las funciones para mostrar conjuntos y mapas en el archivo de macros para el depurador.
- Fix: No ocultar paneles automáticamente si hay algún botón del ratón presionado.
- Fix: El makefile generado automáticamente para un proyecto utiliza una ruta relativa para el ejecutable.
- Fix: Se corrigió el parseo el grafo de llamadas de gprof para no omitir lineas con columnas vacias (por ejemplo, cuando hay llamadas recursivas).
- Fix: Se permite utilizar CppCheck sobre programas simples (sin proyecto).
- Fix: Corregido el problema por el cual no se guardaban correctamente los breakpoints de un proyecto.
- Fix: Se corrigió un problema por el cual se corrompían internamente los paths del toolchain al cancelar el cuadro de opciones de compilación de un proyecto (resultando en un valor nulo para ${MINGW_DIR} y en consecuencia errores de compilación/enlazado).
- Fix: Se corrigió un problema por el cual no se guardaba correctamente la visibilidad del botón para ejecutar Doxygen desde la barra de herramientas.
- Fix: Los nuevos archivos simples desde plantillas ya no aparecen desplazados verticalmente (scroll) si no es necesario.
- Fix: La opción "compilar siempre este fuente" del menú contextual de las pestaña de código ahora también sirve para desactivar esta funcionalidad si el fuente sobre el que se elige ya era el que se compilaba siempre.
- Fix: Ahora se reemplaza correctamente la variable TEMP_DIR si es parte de PROJECT_BIN en el comando de una herramienta personalizada.
- Fix: Se corrigió el error por el cual el menú contextual de la tabla de inspecciones no utilizaba las filas correctas para las acciones del submenu Copiar.
- Fix: Corregido un error que podía provocar un segfault en GNU/Linux al intentar devolver el foco al programa en depuración al continuar ejecutando.

Release 20150910

- Imp: Se mejoró la forma en que se obtienen los nombres para los argumentos formales de una función generada automáticamente a partir de una llamada.
- Fix: Corregido el problema por el cual fallaba la ejecución de la terminal en Mac OS X.
- Fix: Al hacer click en el margen ya no se pierde la selección si el click se hace dentre del rango de lineas seleccionadas.
- Fix: Se corrigió un error que hacía fallar el autocompletado en ciertos casos dentro de métodos inline en clases con herencia.
- Fix: Se corrigieron varios errores en el nuevo algoritmo de indentado inteligente.
- Fix: Se corrigió un error por el cual la búsqueda de actualizaciones automáticas ya no funcionaba en instalaciones nuevas de ZinjaI.
- Fix: Se cambiaron los argumentos de compilación para el ejecutable auxiliar shell_execute para que los antivirus dejen de confundirlo con un troyano.

Release 20150823

- New: Nuevas opciones en el submenú de generación de código para mover un conjunto de lineas seleccionadas dentro de una nueva estructura de control, o a una nueva función.
- Imp: Las funcionalidad de mejora automática de inspecciones según tipo se aplica recursivamente (es decir, un resultado mejorado puede volverse a mejorar con otra plantilla).
- Imp: Se agregaron algunas nuevas plantillas por defecto para mejorar automáticamente inspecciones para iteradores de listas (que muestran directamente el valor al que apuntan).
- Imp: Se agregó un nuevo atajo de teclado (Ctrl+Shift+X) para mostrar la lista de herramientas de generación de código a modo de menú contextual.
- Fix: Se corrigió el error por el cual ya no funcionaban las notificaciones de actualizacion en instalaciones desde cero desde la release 20150817.
- Fix: Se corrigió la verificación de tiempos para detectar cuando el IDE se cuelga por falta de respuesta de parte del depurador.
- Fix: Durante la depuración, cuando la ejecución finaliza y la terminal queda esperando una tecla para cerrarse (solo disponible en GNU/Linux), el botón "Detener" ahora también sirve para cerrarla.
- Fix: Corregido el error por el cual no se podían editar las preferencias de las barras de herramientas luego de abrir el cuadro de preferencias por primera vez durante la depuración o en modo pantalla completa.
- Fix: Los argumentos "-finput-charset=iso-8859-1 -fexec-charset=cp437" solo se aplican por defecto en Windows.
- Fix: Se corrigieron varios errores en la nueva implementación del indentado inteligente.

Release 20150817

- New: Ahora se pueden editar varias ocurrencias de un identificador en el código en simultáneo (hay que resaltarlo con doble click, luego seleccionar una región del código y presionar Alt+Shift+Enter).
- New: Al hacer click derecho sobre una llamada a una función que aún no ha sido definida, el menú contextual ofrece una opción para generar la definición automáticamente (experimental).
- Imp: La ejecución síncrona de herramientas externas que puedan llegar a tardar demasiado (como la generación de grafos con graphviz, o el desensamblado de objdump) es ahora cancelable.
- Imp: Al mostrar una inspección que corresponda a una cadena "en ventana separada", se muestra la cadena que representa como texto plano (es decir, sin comillas y reemplazando los caracteres especiales \*).
- Imp: Se mejoró la inteligencia del indentado automático para abarcar más estilos de codificación y corregir algunos errores.
- Imp: Al colocar el mouse sobre una variable local para ver su tipo, en el tipo se muestra ahora también el namespace (si estaba en la declaración de la variable) y los argumentos del template (si era instancia de un template).
- Imp: Al definir un autocódigo se puede utilizar #typeof(x)# para referirse al tipo del argumento x, y ZinjaI efectuará el reemplazo que corresponda.
- Imp: El comando para actualizar el ejecutable durante la depuración compila automáticamente y puede ahora utilizarse sin pausar la ejecución.
- Imp: Si el depurador no puede aportar información sobre la ubicación en el código fuente de una entrada (frame/fila) del trazado inverso, pero puede indicar en qué binario (usualmente biblioteca externa) se encuentra, se muestra en la tabla la ruta de dicho archivo.
- Fix: Ya no se crean dos entradas consecutivas en el historial de navegación cuando se va directamente a una línea de un fuente con alguna acción como doble click sobre un mensaje de error, sobre una entrada en el backtrace, o ctrl+click sobre el nombre de una función.
- Fix: Corregido el coloreado de sintaxis en constantes numéricas con separador de miles (c++11).
- Fix: Se corrigió un error en el parser que hacía que no se reconozcan algunos métodos en clases con métodos templatizados.
- Fix: Se corrigieron errores en la determinación del ámbito para autocompletar dentro de un método definido inline en una clase.
- Fix: Se corrigieron algunos errores al construir los prototipos de funciones para el árbol de símbolos y calltips cuando una función tiene entre sus argumentos objetos templatizados con más de un parámetros.
- Fix: Se corrigió el problema que hacía que ZinjaI dejara de responder al fallar en gdb el comando que intenta adjuntar el depurador a un proceso.
- Fix: Se corrigió un error por el cual al adjuntar el depurador a un proceso a veces no se actualizaba la tabla de hilos de ejecución.
- Fix: Se muestran correctamente las ubicaciones de las funcionces lambda en el trazado inverso.
- Fix: Se redimensionan correctamente las lista de los cuadros de diálogo de "Ir a Función/Método/Clase..." e "Ir a Archivo..." al redimensionar sus ventanas.
- Fix: Se corrigió un error por el cual luego de cerrar una vista de un fuente con múltiples vistas ya no se actualizan correctamente los indicadores de breakpoints en los márgenes.
- Fix: Se corrigieron algunos errores al posicionar los calltips y resaltar argumentos en llamadas a funciones/métodos que ocupan más de una línea de código.
- Fix: Se corrigió un error que podía provocar la finalización de un proceso equivocado al utilizar el botón "Detener" luego de cancelar una ejecución en el cuadro de diálogo que pide argumentos y ruta de trabajo para la misma.

Release 20150712

- New: Se integró una nueva herramienta externa (lizard) en el menú de herramientas, que mide la complejidad (complejidad ciclomática y lineas de código) de archivos y funciones.
- Imp: El comando "Implementar métodos/funciones faltantes" del menú herramientas busca las declaraciones en el propio cpp si no hay un .h asociado.
- Imp: Se agregaró una nueva opción al menú contextual que aparece al hacer click derecho sobre un identificador en el código, que permite buscar todas las ocurrencias de dicho identificador en todos los archivos abiertos o del proyecto.
- Imp: Se agregaron argumentos de compilación por defecto en programas simples en Windows para corregir la codificación de caracteres ("-finput-charset=iso-8859-1 -fexec-charset=cp437").
- Imp: Se puede ocultar o mover desde el cuadro de preferencias la linea guía que marca la columna 80 en el código fuente.
- Imp: Luego cerrar automáticamente una llave, si la llave pertenecía a la declaración de una clase o estructura, se agrega también un punto y coma.
- Imp: Se reorganizó la estructura de directorios de ZinjaI para agrupar todos los ejecutables auxiliares en dos carpeta (una con los propios de ZinjaI, otra con herramientas de terceros), y permitir además una mejor separación entre aquellos que deberían cambiar con el toolchain y aquellos que no.
- Imp: Se mejoró la velocidad con la que se prepara la compilación de un proyecto cuando una gran cantidad de fuentes y cabeceras.
- Imp: En las opciones generales de un proyecto se pueden definir las extensiones a usar por defecto al crear nuevos archivos fuentes y cabeceras.
- Imp: Al finalizar la ejecución en depuración se respeta la configuración de ejecución para esperar una tecla antes de cerrar la terminal (solo en GNU/Linux).
- Imp: El click derecho en un elemento de la barra de herramientas muestra un menú contextual con más herramientas afines a la herramienta sobre la cual que se hizo el click.
- Imp: Cuando una herramienta externa (g++,gdb,doxygen,cppcheck,valgrind,wxformbuilder) no se encuentra, en GNU/Linux se ofrece instalar automáticamente mediante apt-get (si apt-get está disponible en esa distribución), y en caso contrario o de falla durante la instalación se ofrece abrir automáticamente el sitio web de la herramienta.
- Fix: Se corrigió un problema de redibujado en la ventana de diagrama de flujo.
- Fix: Se corrigió el problema de comportamiento extraño al intentar redimensionar una columna en una tabla.
- Fix: Corregido el parser para entender las palabras clave de C++11 final y override.
- Fix: Corregida la detección de la terminal por defecto en GNU/Linux cuando no se encuentra xterm y la instalación de gcc y gdb automática en sistemas basados en Ubuntu.
- Fix: La pestaña de variables locales en el panel de inspecciones actualiza correctamente su número de inspecciones al cambiar de frame.
- Fix: Los niveles en el trazado inverson se muestran en base 0.
- Fix: Corregido un problema por el cual el zinjai se cerraba cuando el backtrace debía mostrar ciertas funciones lambda.

Release 20150331

- New: En un proyecto, se pueden definir argumentos de compilación por archivo fuente (que modifican o reemplazan a los generales del perfil, con click derecho en el árbol de proyecto).
- Imp: En distribuciones de GNU/Linux que utilicen el gestor de ventanas Unity (como Ubuntu), se puede configurar desde el cuadro de Preferencias si se permite o no que Unity aplique su interfáz especial en menúes y barras de desplazamiento.
- Imp: En distribuciones de GNU/Linux que no disponen de la biblioteca libpng12 (necesaria para ejecutar ZinjaI), se utilizará una versión de la misma incluida entre los archivos de ZinjaI.
- Imp: Se pueden habilitar y deshabilitar puntos de interrupción durante la depuración sin pausarla utlizando el menú contextual del mismo (click derecho en el punto rojo al márgen del código).
- Imp: Se utiliza un cache para recordar las salidas de subcomandos en los argumentos de compilación y enlazado, desactivable desde el cuadro de Preferencias.
- Imp: La nueva función para mostrar una ventana emergente junto al menú de autocompletada con información del ítem seleccionado se puede desactivar desde la ventana de preferencias.
- Imp: Las plantillas para la mejora automática de inspecciones por tipo se pueden definir por generales y proyecto.
- Imp: Se rediseñó el cuadro del diálogo de configuraciones generales del proyecto.
- Imp: Si la evaluación de una inspección corrompe el estado del programa en depuración por incluir la ejecución de un operador y fallar esta ejecución, se muestra un mensaje advirtiendo al usuario y se actualiza el backtrace para reflejar el nuevo estado.
- Fix: Se corrigió un segfault relacionado al menú de autocompletado.
- Fix: Se corrigieron varios errores relacionados a la exploración de inspecciones.
- Fix: Corregido el problema que anulaba la funcionalidad de deshacer en ciertos casos luego de utilizar el comando "Descomentar lineas".
- Fix: Corregido un error al descomentar lineas que tienen anidados comentarios de diferente tipo ("//" dentro de "/*..*/").
- Fix: Se puede utilizar el atajo para ver la ayuda emergente de una llamada a función aún cuando éstas estén desactivadas en el cuadro de preferencias.
- Fix: Se corrigió un problema relacionado a la perdida de foco que hacía inutilizable el nuevo menú de autocompletado con información adicional sobre el elemento seleccionado.
- Fix: Se corrigió la evaluación de inspecciones que involucran los operadores . y -> al colocar el mouse sobre las mismas en el código sin que estén seleccionadas.
- Fix: Varias correcciones en el funcionamiento de la tabla de inspecciones.
- Fix: Corregida la inicialización por defecto de la lista de mejoras automáticas de inspecciones por tipo.
- Fix: Corregido el problema por el cual la generación del grafo de jerarquía de clases siempre usaba el generador "dot".

Release 20150209

- New: Al continuar la depuración luego de una interrupción, ZinjaI retorna el foco automáticamente a la ventana del proceso que está siendo depurado.
- New: Se agregó una nueva ventana de visualización externa para inspecciones que permite modificar sus valores mientras el programa está ejecutandose (sin pausar la depuración).
- New: En modo programa simple se puede definir un fuente como principal para que se ejecute siempre ese sin importar cual tenga el foco (con click derecho en la pestaña del mismo).
- New: Se agregó una opción al menú depuración para conectar el depurador a un servidor gdb externo.
- New: Se agregó una nueva ventana de visualización para una inspección que muestra el historial de valores de la misma a lo largo de una depuración (accesible como visualización externa desde el menú contextual de la tabla de inspecciones).
- New: El panel de inspecciones incluye una tabla especial que muestra siempre todas las variables locales.
- New: El panel de inspecciones ahora puede contener más de una tabla de inspecciones (a modo de pestañas), permitiendo agregar y eliminar tablas.
- New: Se pueden realizar selecciones rectangulares en el código (con el mouse, manteniendo presionado Alt) y ediciones en múltiples lines a la vez (luego de la selección rectangular, o con Alt+Enter).
- New: Se pueden configurar los atajos de teclado desde el cuadro de diálogo Preferencias.
- New: El menú de autocompletado muestra a un costado los protipos completos de las sobrecargas del ítem seleccionado.
- New: Los calltips remarcan en negrita el argumento actual a medida que se completa la llamada a una función, y quitan de la lista sobrecargas sin la cantidad suficiente de argumentos.
- New: En GNU/Linux se puede hacer que ZinjaI habilite automáticamente el guardado de volcados de memoria (core-dump) para los programas/proyectos que ejecuta.
- Imp: El asistente que se muestra al ir a Archivo->Nuevo incluye ahora una cuarta opción para facilitar la creación de un proyecto ZinjaI para un conjunte de fuentes ya existentes (para importar proyectos creados fuera de ZinjaI).
- Imp: Algunas mejoras en la configuración de herramientas personalizadas (la posibilidad de que la ejecución en una terminal espere una tecla al finalizar, y una variable adicional para utilizar los argumentos de ejecución del proyecto).
- Imp: Se agregó un mecanismo adicional para la ejecución de un proyecto, donde una herramienta externa utilizada a modo de wrapper lanza el ejecutable (para usar por ejemplo "time" en linux).
- Imp: Algunas mejoras en la selección de qué archivos de un proyecto incluir para un análisis con CppCheck.
- Imp: Se agregó una opción para evitar que Windows instrumente el manejo del heap al ejecutar desde el depurador (opción habilitada por defecto, ya que esto puede hacer la ejecución mucho más lenta).
- Imp: Las opciones para adjuntar el depurador a un proceso en ejecución y para depurar un target remoto están disponibles también en la versión para Windows.
- Imp: Se mejoró la forma en que se muestra el error cuando falla un paso de compilación personalizado de un proyecto.
- Imp: Ahora se utiliza por defecto el modo de autocompletado que busca por cualquier parte del identificador/palabra clave, y que se filtra al continuar escribiendo.
- Imp: El autocompletado incluye variables locales.
- Imp: Hay una nueva opción en las preferencias para que el menú de autocompletado se filtre automáticamente cuando el usuario continúa escribiendo la palabra clave/identificador.
- Imp: Hay un nuevos mecanismos alternativos para decidir qué resultados mostrar en el autocompletado, uno que busca los caracteres ya tipeados en cualquier parte de las palabras claves e identificadores (no solo al principio), y otro que busca comienzos similires (es decir, que pueden contener errores de tipeo). Se configura desde el diálogo de Preferencias.
- Imp: Reestablecida la posibilidad de generar watchpoints a partir de un inspección del panel de inspecciones.
- Imp: Se puede agregar un botón a la barra de herramientas de depuración para actualizar todas las inspecciones sin detener la ejecución.
- Imp: Se puede colocar en la barra de herramientas de depuración un botón para actualizar las inspecciones sin pausar la depuración.
- Imp: Al mover lineas de código hacia arriba/abajo con los comandos del menú edición, se mueven también las marcas de usuario y los puntos de interrupción.
- Imp: En el panel de comandos gdb, se pueden colapsar y modificar/eliminar del historial los comandos ya ejecutados.
- Imp: Se puede utilizar el depurador en simultáneo con valgrind (requiere valgrind 3.7 o superior).
- Imp: El cuadro compartir archivos muestra una lista de IPs que actualmente comparten algún archivo a través de ZinjaI automáticamente para facilitar la descarga de fuentes compartidos por red.
- Imp: Se agregó un menú contextual en el panel de resultados de la compilación para toolchains externos (ej: proyectos basados en makefiles).
- Imp: Se mejoró el funcionamiento y la apariencia de las ventanas para visualización de inspecciones fuera de la tabla de inspecciones (accesibles desde el menú contextual de dicha tabla).
- Imp: Se agregaron tres esquemas de colores nuevos para el coloreado de sintaxis, ports realizados por Jerónimo Navarro de los temas Zenburn (http://slinky.imukuppi.org/zenburnpage/) y Solarized (http://ethanschoonover.com/solarized).
- Imp: Se reemplazo el visor de imágenes utilizado para mostrar los resultados de graphviz por uno nuevo basado en wxWidgets.
- Imp: Si al intentar enlazar un proyecto o programa el enlazado falla por no poder escribir en el ejecutable, al hacer doble click sobre este error ZinjaI ofrece un mensaje de ayuda específico con las causas más frecuentes y sus soluciones.
- Imp: Si al intentar enlazar un proyecto el enlazado falla informando que un binario objeto esta corrupto o truncado, al hacer doble click sobre este error ZinjaI ofrece recompilar dicho objeto para solucionar el problema.
- Imp: Se pueden reordenar las inspecciones de la tabla de inspecciones manteniendo presionada la tecla Alt y arrastrandolas con el mouse.
- Imp: Al crear un nuevo perfil de compilación y ejecución para un proyecto se puede elegir un perfil preexistente para utilizar como base.
- Imp: Mejorada la forma en que se detecta el legunaje por defecto segun la extensión al compilar, para explicitarle a gcc el argumento en caso de no ser una extensión reconocible.
- Imp: Los patrones para las mejoras automáticas de inspecciones basadas en sus tipos son ahora mucho más flexibles (se incluyen patrones ejemplo por defecto para contenedores stl).
- Imp: La mejora automática de expresiones de la tabla de inspecciones ya no muestra la expresión modificada (solo modifica valor, y agrega un icono con un signo + a la expressión para indicar el cambio).
- Imp: Se puede crear una inspeccion independiente del ámbito si al ingresarla se presiona Shift+Enter.
- Imp: La tabla de inspecciones indica cuales inspecciones están asociadas a un frame de un thread distinto del actual (en la columna nivel).
- Imp: Varias operaciones sobre la tabla de inspecciones pueden aplicarse ahora a múltiples inspecciones en simultáneo.
- Imp: Se pueden editar las expresiones de la tabla de inspecciones en cualquier momento, sin pausar la depuración (los efectos se aplican en la siguiente pausa) o fuera de la misma.
- Imp: Al guardar las configuraciones de colores y atajos de teclado ya no se guardan los valores que coinciden con la configuración por defecto.
- Imp: Al configurar el proxy para la búsqueda de actualizaciones se puede ingresar la variable de entorno "$http_proxy" para que se autoconfigure en sistemas GNU/Linux.
- Imp: Los elementos de lo menúes contextuales muestran ahora los mismos íconos y atajos de teclado que los elementos de los menúes de la ventana principal.
- Imp: La lista negra de fuentes para el step-in ahora es gestionada directamente por gdb.
- Fix: Al borrar los resultados de gcov ya no se borran los archivos .gcno (estos se borrar al limpiar el proyecto).
- Fix: Se inivirtió el sentido del zoom con la rueda del mouse para tener un comportamiento coherente con otros programas.
- Fix: Al compilar programas simples, toda la salida del compilador se agrega en crudo al último item del árbol de resultados de la compilación.
- Fix: Corregidos algunos errores en la determinación de ventanas agregadas/eliminadas con wxFormBuilder y sus consecuencias en un proyecto en ZinjaI.
- Fix: Varios errores corregidos en la determinación de tipos y ámbitos para el autocompletado.
- Fix: Se reconoce la asociación entre archivos fuente y cabecera homónimos aunque se encuentren en diferentes directorios.
- Fix: Se corrigió un error que a veces provocaba el cierre de ZinjaI al intentar quitar un archivo de un proyecto si el archivo estaba abierto y tenía puntos de interrupción o lineas resaltadas.
- Fix: Cuando hay múltiples programas simples independientes con breakpoints definidos, ya no se muestra el mensaje que indica la imposibilidad de definir un breakpoint al intentar definir los de un fuente mientras se inicializa la depuración de otro.

Release 20140620

- New: Durante la depuración, se puede invocar un mecanismo de autocompletado al ingresar expresiones en el panel de inspecciones mediante la tecla TAB.
- New: Se agregó un cuadro de diálogo para modificar los toolchains disponibles.
- New: Se agregó un nuevo panel acoplable desde el que se pueden enviar comandos directamente al depurador (comandos gdb), accesible desde el menú Depuración.
- New: Ahora se puede configurar el manejo que el depurador hace de las señales que recibe el proceso, y generar señales arbitrariamente, desde el menú Depuración.
- New: Ahora se puede cambiar la fuente que se utiliza para mostrar el código (desde la pestaña "Estilo" del cuadro de "Preferencias").
- New: Ahora se pueden utilizar los atajos de teclado Alt+Derecha y Alt+Izquierda para moverse por un historial de navegación de los fuentes (para saltar a las posiciones/fuentes anteriores donde estuvo el cursor de edición).
- New: Al intentar compilar un programa simple, si la compilación falla por símbolos indefinidos o por no encontrar headers de bibliotecas, se buscan estas bibliotecas en las plantillas y se ofrece copiar la configuración de la compilación de las plantillas coincidentes (por ahora el único ejemplo es OpenGL).
- New: Se agregó un opción en el menú "Depuración" en la versión para GNU/Linux que permite modificar un ejecutable que se está depurando (recompilar y aplicar los cambios) sin reiniciar la depuración en algunos casos especiales.
- Imp: Se agregó una opción en la configuración de herramientas personalizables para indicar que si la ejecución debe ser en una terminal, oculta, o un cuadro de diálogo especial de ZinjaI.
- Imp: Se agregó una opción en la configuración de herramientas personalizables para indicar que si se deben guardar los fuentes y/o proyectos abiertos antes de ejecutarla, y si se deben recargar luego.
- Imp: Se agregó una opción en la configuración de herramientas personalizables para elegir si la ejecución de una herramienta debe ser síncrona o asíncrona.
- Imp: Se simplificó el panel de inspecciones eliminando las columnas de Watch y Formato (dichas funcionalidades están ahora accesibles desde el menú contextual de dicho panel).
- Imp: Corregido un bug por el cual el autocompletado no reconocía instanciaciones temporales anónimas de clases.
- Imp: Si el autocompletado falla (no encuentra opciones para mostrar), ya no se intenta autocompletar nuevamente si se sigue tipeando la misma palabra.
- Imp: Se reorganizaron los elementos de los menúes de la ventana principal.
- Imp: El cuadro de diálogo que solicita argumentos antes de una ejecución permite ahora cambiar también el directorio de trabajo.
- Imp: Los resultado de las búsquedas en múltiples archivos muestran la cantidad de resultados en la primera línea.
- Imp: El autocompletado de identificadores utiliza también los argumentos del método/función.
- Imp: Se actualizaron/completaron algunas secciones de la ayuda.
- Imp: Se agregaron botones y atajos de teclado en los cuadros de diálogo para buscar archivos y funciones para alternar entre los mismos.
- Imp: Se implementó un menú contextual específico para el click derecho sobre un márgen del área de código, con comandos específicos de operaciones por líneas y relacionados al uso de puntos de interrupción.
- Imp: Mejoras en las organización y contextualización del menú contextual para el área de código.
- Imp: Mejorada la búsqueda y configuración de una terminal adecuada para la ejecución al inciar por primera vez en GNU/Linux (ahora reconocen aterm, xterm, roxterm, gnome-terminal, mate-terminal, lxterminal y konsole).
- Imp: Al iniciar ZinjaI por primera vez en GNU/Linux, si no se encuetra un compilador adecuado (gcc o clang) y el sistema utiliza apt-get, ZinjaI ofrece instalar él mismo los paquetes de desarrollo necesarios (build-essential).
- Imp: Las rutas del compilador (MINGW_DIR y la ruta a los ejecutables que se agrega a PATH) se configuran por toolchain.
- Imp: En el cuadro para abrir archivos/proyectos recientes, ya no se muestra por defecto la fecha de modificación, pero esta funcionalidad se puede re-activar con una checkbox dentro del mismo cuador de diálogo (para evitar que demore mucho al llenar la lista si el historial contiene archivos en unidades de red).
- Imp: Al intentar ejecutar un programa/proyecto en GNU/Linux, si ZinjaI detecta que hay un ejecutable compilado y actualizado pero sin permisos de ejecución, intenta cambiarle los permisos. Si lo logra genera una advertencia, sino un error.
- Imp: La ventana de ayuda sobre C++ agrega al final de cada página de referencia un enlace para visualizarla en el navegador por defecto (para poder visualizarla con su formato completo).
- Imp: Al finalizar la compilación de manera exitosa, si hay warnings el panel de resultados se hace visible automáticamente.
- Imp: El atajo de teclado para comentar lineas de código utiliza siempre /* y */ si es un programa C.
- Imp: Los argumentos de compilación por defecto para programas simple ahora distinguen entre programas C y programas C++.
- Imp: Ahora se puede utilizar más de un filtro en una misma búsqueda en el cuadro de diálogo para insertar múltiples archivos desde un directorio.
- Imp: El panel de resultados de la compilación se hace visible siempre que se generen warnings, aún cuando la compilación es exitosa.
- Imp: Mejoras menores en la ventana de referencia C/C++.
- Imp: Las fechas de modificación de la ventana de archivos/proyectos recientes se muestran solo al activar una casilla de verificación (ya que de otro modo puede tardar mucho en cargar la ventana cuando hay archivos en unidades de red).
- Fix: Corregido un bug que congelaba el parseo para el árbol de símbolos en ciertos casos al procesar una declaración de método incompleta.
- Fix: Corregida la detección de la versión del compilador cuando se usa un toolchain alternativo también que invoca a una versión de gcc diferente a la disponible por defecto en el sistema.
- Fix: Corregido un bug que podía generar un cuelgue al reccibir el foco en ZinjaI luego de modificar un proyecto wxfb desde el diseñador.
- Fix: Corregido el problema por el que ZinjaI se cerraba al invocar la generación de la herencia de clases generadas por wxfb manualmente a través del menú herramientas.
- Fix: Corregido un bug por el cual algunas acciones que requerían la actualización del árbol de símbolos entrar en loops infinitos (como el crear ventanas heredadas en proyectos wxfb).
- Fix: Corregido un bug por el cual se mostraba el fuente equivocado durante la depuración de un programa simple sin título en algunas situaciones.
- Fix: Se cambió agregó una opción que faltaba a los posibles niveles de optimizaciones a utilizar en la compilación de un proyecto (Velocidad, que equivale a -Ofast en gcc).
- Fix: Se cambión el nivel de optimizaciones por defecto en el perfil de compilación de proyecto Debug por defecto al nivel 0 (porque el nivel específico para depuración impide evaluar ciertas inspecciones).
- Fix: Corregido un error al determinar en qué categoría insertar archivos en un proyecto al utilizar el cuadro de diálogo para insertar múltiples archivos desde un directorio.

Release 20140411

- New: Se puede configurar un proyecto para que al enlazar extraiga la información de depuración el ejecutable (o de las bibliotecas generadas) y la guarde en un archivo separado.
- Imp: Si en la tabla de trazado inverso se oculta la columna de argumentos, ya no se le consultan los argumentos a gdb (se ahorra comunicación con el depurador, mejora la velocidad del paso a paso cuando hay muchas llamadas anidadas, o se pasan objetos grandes).
- Imp: Se redujo el tiempo de espera para los tooltips en el código (para ver el tipo o el valor de una variable) a 1 segundo.
- Imp: Ya no se pregunta si se quieren cerrar los fuentes abiertos actualmente antes de abrir otro proyecto (se cierran siempre, a menos que se esté construyendo un proyecto a partir de esos mismos fuentes).
- Fix: Se agregaron archivos faltantes en la distribución de MinGW incluida en el instalador para Windows para evitar problemas al reinstalar ZinjaI sobre versiones viejas del mismo.
- Fix: Cuando se define un archivo de macros para gdb en un proyecto, el archivo general definido en las preferencias de ZinjaI se carga igualmente en primer lugar, y luego el del proyecto.
- Fix: Se corrigió un problema por el cual ZinjaI podía cerrarse al intentar abrir/crear un proyecto sin cerrar los fuentes abiertos por un proyecto previo.
- Fix: Ya no pregunta si cerrar los archivos abiertos al crear un proyecto con dichos archivos.
- Fix: Se corrigieron bugs importantes en las funcionalidades de autocompletado introducidas en la última versión.
- Fix: Al insertar un #include con Ctrl+H, se reemplaza \ por / en el path.

Release 20140322

- New: Se agregó una nueva ventana de ayuda para consultar una versión offline (instalable como complemento) de la documentación de C/C++ estándar disponible en cppreference.com.
- New: Se pueden asociar descripciones a los breakpoints para que se muestren cuando son alcanzados durante la depuracion.
- New: Se pueden guardar macros (acciones/eventos de edición sobre un fuente) con Ctrl+Shift+Q para luego reproducirlas con un atajo de teclado.
- New: Nuevo cuadro de configuración para las opciones de la integración con wxFormBuilder, con nuevas funcionalidades como detectar automáticamente las clases agregradas/eliminadas para crear/eliminar las herencias, o marcar los fuentes autogenerados como solo-lectura.
- New: Ahora se pueden marcar archivos de un proyecto para que sus símbolos (funciones, clases, macros, etc) sean ignorados en las búsquedas del cuadro de díalogo "Ir a función/clase/método..." desde el menú contextual del Arbol de Proyecto.
- New: Ahora se pueden marcar archivos de un proyecto como archivos de solo lectura desde el menú contextual del Arbol de Proyecto.
- New: Se agregaron índices de autocompletado con las nuevas palabras reservadas, y clases/funciones de bibliotecas añadidas al estándar C++ en 2011.
- Imp: Al definir variables de entorno en las opciones de ejecución de un proyecto se puede utilizar ${nombre_de_la_variable} para insertar el valor anterior de la misma.
- Imp: El sistema de autocompletado ahora reconoce en casos básicos las sobrecargas de los operadores () y [].
- Imp: El arbol de simbolos incluye ahora métodos para sobrecargas de operadores.
- Imp: El sistema de autocompletado ahora reconoce se también el valor de retorono de una función si la función no tiene sobrecargas o todas sus sobrecargas retornan el mismo tipo de dato.
- Imp: Se puede eliminar breakpoints desde la ventana de lista de breakpoints/watchpoints (solo individualmente) sin detener la ejecución.
- Imp: Varios atajos de teclado relacionados a acciones de edición actúan ahora sobre la tabla de inspecciones y no sobre el código fuente si esta tabla tiene el foco.
- Imp: El cuadro de diálogo para listar archivos/proyectos abiertos recientemente muestra ahora una columna con la fecha de modificación de cada uno.
- Imp: Al generar el Makefile de un proyecto se puede hacer que al compilar muestre el progreso en porcentaje con un mensaje simple en lugar de mostrar los comandos ejecutables (estilo cmake).
- Imp: Pequeñas mejoras de usabilidad en los cuadros de diálogo para crear un archivo/clase en un proyecto y para ir a un método/función.
- Imp: Ya no se incluye la biblitoeca wxWidgets en el instalador para Windows (binarios, cabeceras, refencia y plantillas; ahora pueden instalarse como complementos).
- Imp: Se actualizaron las versiones de gcc (a 4.8.1-4), gdb (a 7.6.1-1) y sus dependencias en los binarios de MinGW incluidos en el instalador para Windows.
- Imp: Mucha limpieza interna en el código, empezando a utilizar estructuras de datos más seguras para varias tareas y contenedores genéricos (más clases y menos macros)
- Fix: Los archivos sin extensión ahora también son procesados para actualizar el arbol de simbolos (se tratan como cabeceras).
- Fix: Corregido el problema por el cual en algunos casos zinjai no cargaba correctamente la plantilla de programa simple por defecto.
- Fix: Solucionado el problema por el cual la aplicación se tildaba al intentar compilar un proyecto que contenga subcomandos en sus argumentos de compilación/enlazado cuando el evento de compilar (o ejecutar) se invocaba muy rápidamente más de una vez.
- Fix: Solucionado un error por el cual en Windows una compilación no finalizaba si el compilador arrojaba demasiados errores/warnings.
- Fix: Se corrigió un bug relacionado al uso de popup menues en los binarios de freeglut incluidos en la versión para Windows.
- Fix: Mejorado el algoritmo utilizado para analizar la salida del compilador al armar el arbol de resultados, para evitar los problemas al analizar errores con templates en la versión anterior.
- Fix: Las opciones de compilación por default utilizan el nivel de optimización 0 de gcc (-O0) en lugar del específico de depuración (-Og) porque en la práctica he econtrado varios casos donde -Og provee menos información.
- Fix: Los métodos virtuales puros ya no se consideran para el comando "Implementar métodos/funciones faltantes" del menú Herramientas.
- Fix: Corregido un error que evitaba el funcionamiento de las opciones de Preprocesador del menú Herramientas en ciertos casos.
- Fix: Corregido un error que hacía que en ciertos casos el depurador quedara evaluando inspecciones en el frame incorrecto luego de actualizar la tabla de inspeccione.
- Fix: Al recargar un fuente por modificaciones externas ya no se pierden los puntos de interrupción del mismo.

Release 20131127

- New: Ahora se pueden definir variables de entorno para la ejecución de un proyecto en su perfil de compilación y ejecución.
- New: Ahora se pueden definir herramientas personalizadas para la barra de herramientas específicas para un proyecto.
- New: Se agregó una barra de herramienta para mostrar solo en modo proyecto, con botones específicos para el proyecto actual.
- New: Agregada una opción al configurar el perfil de ejecución de un proyecto para realizar tareas previas a la ejecución tales como configurar variables de entorno mediante un script, o para reemplazar por completo el mecanismo de ejecución de ZinjaI por dicho script.
- Imp: Ahora se corrigen los caracteres de separación de directorios según el sistema operativo en las rutas de trabajo de herramientas personalizadas antes de ejecutarlas.
- Imp: Si los mensajes de error que resultan de compilar un proyecto con un toolchain externo tienen nombres de archivos relativos que no se reconocen automáticamente, se muestra el cuadro de diálogo "Ir A Archivo" para seleccionar posibles coincidencias solo por nombre ignorando la ruta completa.
- Imp: Ahora se pueden acomodar las barras de herramientas en más de una fila o también en los márgenes laterales.
- Imp: Al ocultar barras de herramientas, las que quedan visibles se reordenan para no dejar huecos donde estaban las que se ocultaron.
- Imp: Ahora el parser puede incorporar las constantes de tipos enumerados (para el autocompletado).
- Imp: Ahora se puede resaltar todas las ocurrencias de un identificador en un fuente haciendo doble click sobre el mismo, o utilizando el menú contextual del código.
- Imp: Luego de ejecutar Doxygen, los warnings que este generan se muestran en el mismo panel de resultados que se utiliza para Valgrind y CppCheck.
- Imp: al aplicar un nuevo tema de íconos, las barras de herramienta se actualizan sin necesidad de reiniciar.
- Imp: Actualizado el tema de íconos CompSys.
- Fix: Corregido el bug por el cual no se guardaba correctamente la versión mínima de ZinjaI requerida para abrir un proyecto en el archivo del mismo.
- Fix: Corregido un error al parsear archivos que hacía que la información obtenida fuera incompleta (por ejemplo, luego de actualizar un proyecto wxfb, algunas clases podían registrarse como namespaces porque se parseaba solo el cpp).
- Fix: Corregido un error por el cual no se generaban correctamente las plantillas de proyecto.
- Fix: Corregido el funcionamiento de la pausa durante la ejecucíón cuando se combina con puntos de interrupción que solo se usan para actualizar la tabla de inspecciones.
- Fix: Corregido un error al autocompletar miembros o atributos de un objeto dentro de un destructor de clase.
- Fix: Corregido un error por el cual el parser no reconocía las variables globales con el calificativo "const".
- Fix: Corregido un fallo al simplificar la salida del compilador en ciertos errores producidos en la instanciación de templates.
- Fix: Corregida la actualización de la lista de fuentes abiertos recientemente del menú Archivo.
- Fix: Corregido un error en la confirmación por cambios sin guardar al cerrar una pestaña de código con el botón del medio del ratón.
- Fix: Al intentar crear una plantilla nueva, si el directorio de plantillas del usuario no existía se crea.

Release 20130801

- Fix: Corregido el error del "-std=<default>" al compilar proyectos guardados con versiones anteriores.
- New: Si la versión de gcc es mayor o igual a 4.8, se utiliza para las configuración debug el nuevo nivel de optimizaciones específico (argumento "-Og").
- New: Agregadas opciones para elegir la versión del lenguaje C/C++ a utilizar en proyectos y una nueva plantilla de programa simple para C++11.
- Imp: Al abrir un proyecto, ya no se muestran mensajes de error si alguno de los fuentes asociados no existe.
- Imp: En Windows, ZinjaI advierte sobre la incompatibilidad con el nuevo gcc de objetos compilados con versiones anteriores al abrir un proyecto.
- Imp: Se actualizaron las herramientas de compilación en Windows (mingw, ahora incluye gcc 4.7.2).
- New: Se puede utilizar xdot para visualizar los grafos que generan las herramientas externas (se debe descargar por separado y configurar en las preferencias).
- Imp: Al usar "Ejecutar hasta el cursor" en depuración, ahora se muestra un mensaje de error si la posición del cursor no es válida.
- Imp: Mejorado el mecanismo para detectar errores de compilación compuestos por varias lineas al procesar la salida del compilador.
- Imp: Los argumentos de compilación necesarios para gcov y gprof se colocan ahora en el campo de argumentos adicionales (ya no tienen un checkbox propio en la configuración del proyecto).
- New: Agregado el soporte para realizar tests de cobertura mediante gcov (nuevo submenú en el menú "Herramientas").
- Imp: Al hacer doble click en la tabla de resultados de gprof se muestra la entrada del grafo correspondiente a la fila seleccionada.
- Imp: Agregado un cuadro de texto para filtrar entradas en la tabla de resultados de gprof.
- Imp: Al procesar las salidas de gprof para visualizar el grafo se verifican los códigos de retorno de cada proceso involucrado para detectar si alguno falla.
- Imp: Los esquemas de colores, indices de autocompletados y la lista de plantillas se toman ahora del directorio de instalación de ZinjaI y el y del directorio donde se guarda la configuración del usuario (teniendo mayor prioridad este último).
- Imp: Reducido el flickering al cambiar la selección (especialemente notorio cuando se usan colores invertidos (fondo oscuro) para el coloreado de sintaxis).
- Fix: Las rutas en los makefiles generados son nuevamente relativas.
- Fix: Las bibliotecas generadas por proyectos en Windows ahora tienen la extensión .a.
- Fix: Corregido el comportamiento del comando "Opciones del breakpoint" del menú "Depuración".
- Imp: Ahora las opciones de formateo de mensajes de error para gcc se adaptan a la versión del compilador (soporte para gcc 4.8).
- Fix: Corregido el comportamiento en cuadros de texto donde se puede insertar/reemplazar rutas de archivos o directorios de las opciones del menú contextual para hacerlo.
- Fix: Corregidos los problemas de foco de los mensajes de aviso de que un fuente abierto ha cambiado.
- Imp: Ya no se debe esperar a que el parser termine su trabajo para realizar otras acciones como compilar o invocar herramientas externas.
- Fix: Ya no provoca un segfault si no hay plantilla seleccionada al crear un nuevo programa simple desde el asistente.
- Fix: Corregido un problema de refresco al redimensionar la vista en forma de tabla de una inspección.
- New: Los resultados de la herramienta de perfilado de ejecución (gprof) ahora se muestran en tablas en una cuadro de diálogo especial.
- New: Ahora se pueden definir breakpoints que solo actualicen la tabla de inspecciones, simulando no detener el programa.
- Imp: Se puede cambiar el perfil de compilación y ejecución activo en un proyecto haciendo click derecho sobre el botón de Opciones de Compilación y Ejecución de la barra de herramientas.
- Fix: Ya no se permite lanzar la compilación de un proyecto mientras se están regenerando los fuentes de wxFormBuilder.
- Fix: Actualizado el parser en la versión para Windows (los últimos cambios se habían aplicado solo en GNU/Linux).
- Fix: Agregados algunas macros que faltaban para la tabla de eventos de wxWidgets en el indice de autocompletado.

Release 20121230

- Fix: Corregida la aplicación de autocódigos con los operadores especiales # y ##.
- Fix: Corregido el tamaño del cuadro de texto para agregar/editar items de una lista.
- Fix: Ahora se coloca correctamente el scope de los métodos virtuales al crear una nueva clase dentro de un proyecto con el asistente.
- Fix: Corregido el segfault al intentar correr las herramientas que usan el preprocesador sobre archivos que no pertenecen al proyecto abierto.
- Fix: Ahora se extraen correctamente las descripciones largas de clases de comentarios Doxygen generados con versiones recientes de Doxygen.
- Imp: Agregado un botón para acceder a los foros desde la ventana de ayuda.
- Imp: Agregada la traducción al inglés de la ventana de ayuda.
- Imp: Los errores de compilación que comienzan con "fordward declaration of..." ahora son subítems del error que los precede.
- Imp: Agregados enlaces a post relevantes del blog cucarachasracing.blogspot.com.ar en la ayuda.
- Fix: Corregido el comportamiento de links con anclas en la ventana de ayuda.

Release 20121127

- New: Agregada una opción en el menú Herramientas para crear una nueva plantilla a partir de un programa o proyecto abierto.
- Fix: Corregido un error en el autocompletado de punteros pasados como argumentos por referencias a un método o función.
- Imp: Al crear una clase en un proyecto con el asistente de Nuevo Archivo, si esta hereda de clases que presentan métodos virtuales se da al usuario la posibilidad de seleccionar cuales implementar en la nueva clase.
- Fix: Corregido un error en el autocompletado de métodos con el calificativo const.
- Imp: Al iniciarse ZinjaI por primera vez, si no encuentra g++ pero sí clang, define clang como toolchain por defecto.
- Imp: Ahora se muestra el nombre de la señal en la consola cuando un programa termina anormalmente en GNU/Linux
- Imp: Ahora los toolchains pueden tener argumentos configurables que se almacenan en los perfiles de compilación de los proyectos
- Fix: Aplicado un workaround para evitar que los caracteres como ñs y acentos produzcan incongruencias en algunos GNU/Linux
- New: Ahora se pueden utilizar para compilar scripts o herramientas externas (como make, mediante toolchains especiales)
- Imp: Mejorada la forma en que se intentan configurar automáticamente las rutas a herramientas externas en Windows
- Fix: Ahora los argumentos para la ejecución entre comillas se pasan correctamente al depurador también en Windows
- Imp: Ahora los proyectos pueden asociar un toolchain en particular a sus perfiles de compilación
- Imp: Ahora se puede definir plantillas para trabajar con C en lugar de C++ (y se incluye una por defecto, las opciones de compilación pueden variar según el lenguaje)
- Fix: Corregido un error al simplificar mensajes de error con referencias a templates que producía un bucle infinito
- Imp: Los tipos de datos cuyas expresiones se reescriben automáticamente funcionan también para referencias/alias
- Imp: Ahora ZinjaI se asegura de no estar compilando o enlazando nada antes de lanzar una nuevo proceso de compilación o enlazado
- Fix: Si hay demasiados resultados en una búsqueda sobre múltiples archivos solo se muestran los primeros 500
- Imp: Ahora los resultados de búsquedas en múltiples archivos muestran además de la posición la línea donde se encuentran las coincidencias
- Imp: Mejorada la forma en que se reescriben las expresiones al separar una expresión compleja o desreferenciar un puntero en la tabla de inspecciones haciendo doble click en su valor
- New: Ahora se puede configurar ZinjaI para que modifique automáticamente expresiones de la tabla según su tipo
- New: Ahora se puede cambiar el compilador y demás herramientas (toolchain) por otro con interfaz similar a gcc (como clang) desde el menú preferencias
- Fix: Se corrigió el problema por el cual desaparecían barras de herramientas al pasar a pantalla completa y volver durante la depuración
- Fix: Se aplicó un parche en los fuentes de wxWidgets usados para compilar los binarios para GNU/Linux para evitar que el programa se cierre al arrastrar pestañas o paneles en la ventana principal
- Imp: Al intentar agregar a un proyecto archivos que no estan en la carpeta de proyecto, ZinjaI pregunta si quiere copiarlos ahí
- Fix: Ahora se interpreta correctamente el atributo de static en métodos para el Arbol de Símbolos, la ayuda rápida y el autocompletado
- Imp: Ahora se puede utilizar CppCheck con programas simples (sin crear un proyecto)
- Imp: Se reescribió casi totalmente el código que gestiona los breakpoints y sus propiedades, para usar estructuras de datos menos confusas
- Fix: Corregido un error al parsear las opciones de compilación entre comillas para lanzar CppCheck sobre un proyecto
- Imp: Al colocar intentar un punto de control cuando comienza la depuración, se verifica que la posición sea válida, de lo contrario no se coloca (antes gdb lo movía a la siguiente posición válida sin aviso)
- Imp: Ahora el comando "Ejecutar hasta el cursor" funciona cuando el cursor esta en otro frame que no es el actual
- Imp: Ahora se pueden arrastrar los resultados de una inspección desde la Tabla de Inspecciones manteniendo presionada la tecla Alt
- Imp: Ahora en la ejecución del análisis estático se puede utilizar cualquier herramienta de Valgrind, no solo memcheck
- Imp: Ahora se advierte cuando un punto de interrupción no pudo ser colocado por gdb
- Fix: Ahora se muestran completas las inspecciones largas en las ventanas fuera del panel de inspecciones
- Imp: Al abrir el cuadro de dialogo "Reemplazar", si el ámbito (valor del combo "Bucar en:") preseleccionado no es válido se vuelve al ambito del archivo actual
- Imp: Ahora se reconocen las plantillas de proyectos y los indices de autocompletado del directorio de configuración del usuario ($HOME/.zinjai/autocomp y $HOME/.zinjai/templates) y se les da preferencia por sobre las del sistema ($ZINJAI_DIR/autocomp y $ZINJAI_DIR/templates) en caso de conflicto

Release 20120413

- Imp: Actualizado wxWidgets en la versión para Windows a su versión 2.8.12
- Imp: Ahora se puede colocar un punto de interrupción sin pausar antes la depuración (en realidad ZinjaI sí la pausa, coloca el punto, y la continúa)
- Fix: Ahora se marca correctamente el punto donde se detiene la depuración cuando el nombre de archivo contiene caracteres especiales (acentos, ñs, etc)
- Fix: Corregido un error en el parser (cbrowser) que hacía que se colgara al parsear los argumentos de una macro si estos nunca terminan (falta en paréntesis)
- Imp: Ahora se puede elegir qué archivos excluir del analisis estático
- Imp: Las opciones de cppcheck se pueden guardar en el archivo de proyecto
- New: Agregado un cuadro de diálogo para configurar la ejecución de cppcheck
- Fix: Corregido el segfault al aceptar el cuadro de multiple choices para indices de autocompletado adicionales en un proyecto cuando no se ha seleccionado ninguno
- Imp: Agregado un cuadro genérico para editar las entradas que son multiple choice (como indices de autocompletado adicionales en un proyecto)
- New: Agregado un cuadro de diálogo para instalar complementos (aún no es funcional)
- Fix: Ya no se cuelga al abrir muchos archivos juntos desde el explorador de Windows
- Fix: Ahora los paneles auto-ocultables toman el tamaño correcto cuando solo está visible el panel de bienvenida
- Fix: Ya no se muestra el error que indica que el binario no tiene permisos de ejecución cuando se recompila un solo fuente de un proyecto
- Fix: -static-libstdc++ no solo debe agregarse al actualizar ZinjaI en Windows
- Imp: Ahora el parser reconoce métodos virtuales puros
- Fix: Corregido el problema por el cual el parser interpretaba mal las propiedades de un atributo de una clase
- Fix: Se corrigió el problema por el que recompilaba siempre el archivo de recursos generado por ZinjaI en Windows cuando se usaba un icono o un manifest
- Fix: Se cambió la versión de gdb en el instalador para Windows desde 7.4 a 7.3.1 porque la 7.4 genera problemas cuando las rutas a los objetos contienen espacios
- Fix: Eliminada la cadena constante "ping" para que Nod32 deje de creer que ZinjaI es un virus!
- Imp: En la salida de cppcheck se muestra entre paréntesis el id del error en lugar de la severity del mismo
- Imp: Se agregó el argumento --inline-suppr en la llamada a cppcheck
- Fix: Se corrigieron algunos errores de estilo y advertencias que detectaba cpp-check

Release 20120213

- Fix: Corregido el problema por el cual no se actualizaba solo el código generado por wxFormBuilder antes de la primer compilación
- Fix: Se corrigió el estado en que quedan las marcas de dos fuentes abiertos y comparados luego utilizar "Descartar cambios" del menú "Comparar de Archivos" para eliminar una cambio en particular
- Imp: Se agregaron las opciones forzadas -static-libgcc y -static-libstd++ al comando de enlazado en Windows para mantener un comportamiento similar a versiones anteriores del compilador (no depender de sus dlls)
- Fix: Corregida la asignacion de iconos de macros y typedefs en el arbol de simbolos
- Imp: Se actualizaron los makefiles para windows y wine para poder compilar zinjai en una instalación de windows completa sin necesidad de modifircarlos
- Imp: Agregados atajos de teclado e iconos para lo elementos del submenu "Preprocesador" del menu "Herramientas"
- Fix: Corregido el ajuste del scroll cuando se resalta una linea (por ejemplo, al detenerse en depuración) y hay lineas colapsadas y paneles auto-ocultables
- Fix: Corregido el tipo de datos que guarda el parser para autocompletar reemplazando typedefs y defines
- Fix: El atajo para abrir el .h homónimo desde un .cpp o el .cpp desde el .h ahora reconoce también otras extensiones (c, h, cpp, hpp, hxx, cxx, h++, c++)

Release 20120206

- Imp: Ahora se muestra un mensaje de error cuando se falla al intentar obtener un fuente compartido por otro ZinjaI
- Fix: Se agregaron traducciones para todos los cuadros diálogos relacionados a archivos compartidos a travéz de ZinjaI
- New: Se agregó una item para ver la lista de fuentes compartidos actualmente en el submenú "Compartir Archivos" del menú "Herramientas"
- Imp: Al preparar la ejecución de un proyecto se agregan en las variables LD_LIBRARY_PATH (GNU/Linux) o PATH (Windows) los directorios de los binarios de las bibliotecas dinámicas que este genere
- Fix: Al recibir un fuente compartido por red teniendo un proyecto abierto, este no se agrega al proyecto
- Fix: Al regenerar los proyectos de wxFormBuilder ya no se parsean archivos que no pertenezcan al proyecto en ZinjaI
- Imp: El parser ahora reconoce typedefs
- Imp: Agregada una opción al menú de wxFormBuilder para adjuntar al proyecto de ZinjaI un proyecto de wxFormBuilder Existente
- Imp: El parser ahora reconoce uniones
- Fix: El parser ahora reconoce variables globales con el calificativo const
- Fix: Al crear un archivo de cabecera en un proyecto la constante definida para evitar inclusiones múltiples ahora se coloca en mayúsculas
- Fix: Los métodos y atributos en la ayuda rápida de una clase se listan en el orden en que fueron declarados
- Imp: Ahora el parser distingue métodos constantes y variables volátiles
- Fix: Ya no se cuelga el depurador al dividir una inspección correspondiente a un struct de C
- Fix: La ventana que muestra la salidad de Doxygen recibe el foco cuando este termina
- Fix: Corregida la posicion inicial del cuadro para abrir archivos recientes en Windows
- New: Ahora se colorean también los scripts de bash (extensión .sh)
- Fix: Ahora se muestran completas las inpsecciones de arreglos cuando se muestran en una ventana separada
- Imp: Se separó en un archivo fuente nuevo los métodos de la clase mxMainWindow correspondientes items del menú "Herramientas"
- New: Se agregó un submenú "Preprocesador" en el menú "Herramientas" con opciones para ver lineas de código preprocesadas (macros expandidas), y para marcar cuales lineas se compilan y cuales se ignoran (por la presencia de bloques condicionales con #if o #ifdef)
- Fix: Ahora el cuadro para abrir archivos recientes aparece centrado
- Fix: Al exportar el Makefile, ahora se agregan los objetos intermedios que se usan para generar las bibliotecas a la lista de objetos a borrar en el "clean"
- Imp: Ahora se crean los directorios de destino de las bibliotecas cuando no existen al preparar la compilación
- Fix: Corregido el problema por el cual Deshacer dejaba de funcionar despues de utilizar el item "Implementar Metodos/Funciones Faltantes..." del menú "Herramientas" cuando no había métodos/funciones faltantes
- Imp: Ahora se define la macro _DEBUG en la configuración Debug de un nuevo proyecto en blanco
- Imp: Ahora, al analizar que archivos recompilar para compilar un proyecto se tienen en cuenta las macros definidas en la configuración de proyecto y se recompilan los archivos que usen (directamente, o a traves de cabeceras pertenecientes al proyecto) las que se agregaron/quitaron
- Fix: Se agregó una tolerancia de 5 segundos para evitar falsos positivos al comparar fechas de fuentes para saber si tiene fecha del futuro
- Imp: Ahora al encoger columnas en las tablas de inspecciones y trazado inverso estas toman un ancho de solo un pixel
- Fix: Corregido el cálculo de los anchos de columnas al redimensionar las tablas de inspecciones y trazado inverso cuando hay columnas encogidas
- Fix: Corregido el problema al utilizar el ítem para "Implementar Métodos/Funciones faltantes" cuando no hay métodos/funciones definidas en el .h
- Imp: Agregado un atajo para alternar el foco entre el código fuente y el cuadro de búsqueda rápida de la barra de herramientas (Ctrl+Shift+F)
- Imp: Agregado un botón para editar como texto o lista el campo de constantes de preprocesador a definir en las opciones de compilación de un proyecto
- Fix: Ahora se abren correctamente los archivos al presionar Ctrl+Enter sobre una cadena con un nombre que incluye espacios o barras invertidas
- Fix: Corregido el error por el cual no se mantenían funcionando de una sesión de depuració a otra las inspecciones que involucraban macros gdb
- Imp: Agregada una opción en el menú contextual de la tabla de inspecciones para duplicar inspecciones
- Fix: Corregido el añadido de inspecciones mientras el programa no está siendo depurado
- Fix: El foco vuelve al código después de una búsqueda en múltiples archivos con paneles auto-ocultables habilitados
- Fix: Ahora se permite elegir donde generar los indices de autocompletado
- Fix: Ahora al generar indices de autocompletado con el contenido del Arbol de Simbolos se tienen en cuenta las relaciones de herencia
- Fix: Ahora al guardar en el árbol de símbolos clases heredadas se le quitan los argumentos de template y el scope si tuviera para que el autocompletado pueda reconocerlas (hasta que el autocompletado sea consiente de los scopes, por ahora no)
- Imp: Se agregó una opción en el menú contextual de la tabla de inspecciones para ver el valor de una inspección en una ventana separada
- Imp: Se modificó la forma en que se gestionan internamente diálogos que muestran inspecciones (como el explorador, o las tablas separadas)
- New: Ahora al mostrar los errores del compilador se simplifican los mensajes de error reemplazando argumentos de templates y eliminando elementos específicos de las implementaciones de gcc del estándar
- Fix: Corregido el autocompletado de miembros de objetos de un arreglo
- Fix: Ahora se recuerda la visibilidad de los paneles asociados a la depuración entre sesiones de depuración
- Fix: Ya no se muestran duplicados los breakpoints de fuentes con varias vistas abiertas al listarlos
- Fix: Al abrir comentarios Doxygen en la ayuda rápida se intenta convertir la codificación (utf16), y si no es posible (en algunos Linux trae problemas) se muestra sin convertir
- Imp: El cuadro de diálogo para generar los íconos de ZinjaI en el escritorio y en el menú del sistema ahora puede utilizar el mecanismo viejo si no encuetra xdg
- Fix: El mensaje agregado para avisar como salir del modo de pantalla completa ya no roba el foco
- Imp: Se agregó un indicador de progreso en la barra de estado para cuando parsea un proyecto completo al abrirlo
- Imp: Se agregó un indicador de progreso en la barra de estado para cuando se tarda en abrir un proyecto
- Imp: Se agregó lxterminal entre las terminales conocidas en GNU/Linux
- Imp: Se agregó un mensaje emergente por 3 segundos que avisa como salir del modo pantalla completa al entrar al mismo
- Fix: Ahora se escriben correctamente las tablas de inspecciones guardadas en proyectos

Release 20111022

- Fix: Corregida la posición en que inserta los #includes automáticos cuando hay directivas de preprocesador entre el código
- Fix: Corregido el error por el cual al buscar sin distinguir mayúsculas y minúsculas en un proyecto siempre se distinguen en los archivos abiertos
- Fix: Ahora al insertar #includes automáticamente lo hace después de todas las directivas de preprocesador de la cabecera
- Imp: Ahora cuando se quiere abrir un nombre de archivo seleccionado en el código, si es parte de una directiva de procesador se busca en el directorio del fuente, sino se busca en el directorio de trabajo para la ejecución
- Fix: Ahora se muestran correctamente los íconos de la barra de herramientas de comparación (diff) en Windows
- Fix: La opción para renombrar un archivo en el menú contextual del título de una pestaña de código ya no aparece si el archivo de la pestaña no pertenece al proyecto
- Imp: Actualizado el archivo de macros para el depurador, ahora incluye una linea de documentación por comando que indica el modo de uso (argumentos)
- Imp: Al introducir ">?" o ">help" en la tabla de inspecciones se muestra la lista de comandos gdb definidos por el usuario (desde los archivos de macros), y si se añade un comando se muestra la documentación de ese comando
- Imp: Agregado un checkbox para habilitar la edición durante la depuración en el cuadro del mensaje que advierte sobre la misma al intentar editar un fuente que se encuentra en modo solo lectura por depuración
- Imp: Agregados íconos para colocar las acciones de activar/desactivar el coloreado de sintaxis y la visualización de espacios, tabs y caracteres de fin de linea en la barra de herramientas "Ver"
- Imp: Se agregaron textos en la ayuda rápida para los errores/advertencias en el árbol de compilación que genera el propio ZinjaI, que aparecen al hacer doble-click sobre dichos errores
- Fix: Corregido un bug en el reemplazo de argumentos de autocódigos cuando el parametro actual es más largo que el formal y éste aparece más de una vez
- Fix: Corregido el indentado automático al reemplazar autocódigos de una linea
- Imp: Si al compilar en GNU/Linux el ejecutable no tiene permisos de ejecución (por ejemplo, cuando se guarda en una unidad fat o ntfs montada sin ese permiso) se agrega un Error a la salida del compilador
- Imp: En un proyecto en Windows, si no encuentra el archivo manifest.xml o el archivo de icono, compila igual como si no estuvieran definidos y agrega una advertencia a la salida del compilador

Release 20111009

- Fix: Corregido el problema del color de los números de linea al habilitar o deshabilitar el coloreado de sintaxis desde el menú ver
- Imp: Ahora el comando Limpiar del menú Ejecutar se puede utilizar tambien con programas simples
- Imp: Agregadas las extensiones .cc y .hh a la lista de extensiones para fuentes y cabeceras c/c++
- Imp: Ahora ZinjaI puede agregar un icono al menu del sistema ademas del icono en el escritorio en GNU/Linux (hay un botón en Archivo->Preferencias->General)
- Fix: Corregido el parseo de argumentos actuales para un autocódigo cuando incluyen paréntesis
- Imp: Implementada la opción para habilitar o deshabilitar la distinción entre mayúsculas y minúsculas en las búsquedas en varios archivos
- New: Ahora se puede cambiar el esquema de colores para el coloreado de sintanxis
- Fix: Corregido el problema de violación de segmento al cerrar el mapa de diferencias luego de realizar más de una comparación entre archivos (diff)
- Fix: Ahora se aplica correctamente la opción de habilitar/deshabilitar el plegado de código sobre los fuentes abiertos al seleccionar aceptar en el cuadro de Preferencias
- Fix: Corregido un error al limpiar la tabla de inspecciones cuando no se está depurando el proyecto
- Fix: Al realizar un #include automáticamente ya no se consideran los archivos fuentes (cpp,c,cxx), sino solo cabeceras
- Imp: Corregidos los colores de resaltado de linea, selección y comentarios Doxygen en el modo de colores inversos
- Imp: Al cargar el archivo de idioma desde cache se verifica que el conteo de strings coincida con el esperado para evitar problemas si el conteo del ejecutable no coincide con el del archivo de idioma instalado
- Fix: Corregido los problemas al utilizar como directorio temporal un path relativo (a la carpeta de ZinjaI)
- Fix: Ya no se muestra el campo para configurar la ruta al ejecutable de valgrind en Windows
- Fix: Corregida la ejecución de comandos que involucran al navegador a través de la variable ${BROWSER} en las herramientas personalizadas cuando el campo del comando para el navegador en las preferencias esta vacio
- Imp: Agreada una variable para referenciar al directorio de instalación de ZinjaI en las herramientas personalizables
- Fix: Corregido los problemas al utilizar como directorio temporal un path relativo (a la carpeta de ZinjaI)
- Fix: Ya no se muestra el campo para configurar la ruta al ejecutable de valgrind en Windows
- Fix: Corregida la ejecución de comandos que involucran al navegador a través de la variable ${BROWSER} en las herramientas personalizadas cuando el campo del comando para el navegador en las preferencias esta vacio
- Imp: Agreada una variable para referenciar al directorio de instalación de ZinjaI en las herramientas personalizables
- Fix: Al cerrar una pestaña duplicada con cambios no se pregunta si se desean guardar antes de cerrar
- Imp: Ahora se muestran en la ayuda rápida las descripciones de clases extraidas de la documentación generada por Doxygen
- Fix: Mejorada la forma en que se detecta el final de comentarios doxygen al parsear los archivos html generados (antes algunos presentaban partes demás y otros parecían vacíos erróneamente)
- Fix: Corregida la forma de abrir enlaces a paginas html desde archivos (como la documentación generada por Doxygen) en Windows y el comando por defecto para el navegador
- Fix: Corregido el problema que generaba una excepción al iniciar luego de activar paneles auto-ocultables en algunos sistemas Windows
- Fix: Corregida la ruta para buscar el ejecutable de Doxygen en Windows de 64 bits
- Imp: Agregado un item en el menú contextual de una pestaña de código y del panel del Explorador de Archivos para abrir la carpeta contenedora del fuente en dicho panel
- Imp: Agregado un atajo para cerrar todas las pestañas menos la activa (Ctrl+Alt+W, o desde el menú contextual de la pestaña)
- Imp: Los resultados de un análisis con Valgrind se cargan automáticamente cuando termina la ejecución
- Imp: Corregida la ejecución en Valgrind
- Imp: Mejorada la forma en que se detectan las rutas de los ejecutables de Doxygen y CppCheck en Windows
- Imp: Ya no se puede cerrar el cuadro de ejecución de Doxygen/CppCheck sin detener el proceso
- Imp: Reorganizadas las pestañas de rutas del cuadro de preferencias
- New: Agregado soporte para análisis estático de código a travez de CppCheck (básica, aún no es configurable), en el menú Herramientas
- Imp: El atajo para ver en qué función se encuentra el cursor (que ahora es Ctrl+Alt+Espacio) muestra tambien el el archivo y número de linea donde se encuentra, y el tipo de ambito (class,struct,namespace) o los argumentos de un método o una función según corresponda
- Imp: Agregado un atajo para ver la lista de autocódigos a modo de autocompletado (Ctrl+Shift+Espacio)
- Fix: Corregido el problema del foco al cambiar de ventana y volver a ZinjaI
- New: Agregada una función en el menú herramientas para escribir automaticamente en un cpp las definiciones de funciones y/o metodos declarados en el h homónimo que aún no hayan sido definidas
- Fix: Corregido el evento del doble click en los elementos "Fuentes", "Cabeceras", y "Otros" del arbol de proyecto
- Fix: Corregido el buscador de la ayuda para considerar las traducciones
- Imp: Agregado un botón a la barra de herramientas de la ventana de ayuda para imprimir la página actual
- Fix: Corregido el automcopletado de métodos de atributos de clases con números en su nombre
- Imp: Cuando se activa la opción para cerrar automáticamente llaves, paréntesis, corchetes, etc, se cierra también el signo menor con un mayor si la linea empieza con "#include"
- Fix: Resuelto el conflicto entre el cierre automático de llaves, paréntesis, corchetes y comillas con operaciones de edición como pegar o aplicar autocódigos
- Imp: El sistema de ayuda soporta traducciones (intenta cargar la ayuda en el lenguaje elegido y si no se encuentra vuelve al español)
- Imp: Ahora se pueden colocar links a paginas de la ayuda desde las sugerencias
- Fix: Agregada una verificación para evitar la violación de segmento si se cierra un proyecto y queda alguno de los cuadros de configuración de proyecto abierto
- Imp: Las definiciones de auto-códigos se recargan automáticamente al guardar el archivo
- Imp: Ahora se puede definir un archivo de auto-códigos específico para un proyecto, desde el cuadro de "Configuración del Proyecto" (desde el menú "Archivo")
- New: Se implementó el uso de auto-códigos (son reemplazos automáticos de código mientras se escribe, en base a plantillas, ver en la ayuda (Características Especiales->Ayudas en la escritura) cómo se utilizan)
- New: Agregada una opción en la pestaña de "Asistencias" del cuadro de "Preferencias" para que ZinjaI cierre automáticamente todas las llaves, comillas, corchetes y paréntesis que se ingresen

Release 20110802

- Agregados dos comandos al submenu "Comparar Archivos" y a la barra de herramientas correspondiente para ir a la anterior/siguiente diferencia desde el punto donde se encuentra el cursor (además, se puede invocar utilizando la rueda del mouse sobre la barra del lateral izquierdo)
- Se oscureció levemente el color del texto de los calltips
- Agregado un atajo para ver en qué función/clase se encuentra el cursor (Ctrl+Alt+Epacio)
- Eliminado el mensaje que indica que no se encuentra el archivo al abrir un archivo de wxFormBuilder desde el arbol de proyecto
- Corregida la detección del scope para mostrar el autocompletado cuando hay espacios entre el nombre de un metodo y los parentesis que engloban los argumentos
- Se corrigió el indice de autocompletado para wxWidgets (faltaban las herencias y sobrecargas de metodos y habia texto de la ayuda por error)
- Agregada una verificación para evitar intentar abrir archivos que no existen en situaciones varias (como al detener el depurador dentro de una biblioteca, abrir un proyecto que referencia a un archivo borrado, etc)
- Actualizado el indice para autocompletado de wxWidgets, incluyendo ahora clases (con sus constructores corregidos), funciones, ids, macros de eventos y constantes de estilo, teclado e idioma
- Corregida la ubicación de "event.Skip();" en las clases heredadas de proyectos wxFormBuilder
- Corregido una inconsistencia en la representación interna del arbol de simbolos al eliminar un archivo del proyecto con la definición de una clase, cuyos métodos se implementan en otro archivo, que generaba una violación de segmento al volver a asociar el archivo con la clase al proyecto
- Corregido el problema por el cual las acciones "Compilar" y "Ejecutar" del menú "Ejecutar" parecían mezclarse aleatoriamente en un proyecto
- Corregido la dentención de la compilación en paralelo cuando uno de los pasos falla
- Corregido un memory leak en el manejo de procesos en paralelo cuando la compilación falla
- Mejorada la forma en que se detecta la ruta al ejecutable de Doxygen en Windows
- Mejorada la forma en que se detecta la ruta al ejecutable de wxFormBuilder en Windows
- Agregado un mensaje alusivo para cuando el ejecutable de wxFormBuilder no termina correctamente o no se encuentra
- Corregido el problema por el que indicaba que la actualización automática de proyectos wxFormBuilder debía desactivarse al crear un nuevo proyecto con la plantilla para este tipo de proyectos
- Corregido el funcionamiento del item "Regenerar y Actualizar Automaticamente" del menú "Diseñar Interfaces"
- Corregida la selección por defecto luego de una busqueda en el cuadro para agregar multiples archivos a un proyecto

Release 20110718

- Corregida la compilación en paralelo cuando hay pasos adicionales antes de la compilación de los fuentes de un proyecto
- Corregido el comportamiento de los cursores en el dialogo para abrir archivos/proyectos recientes
- La cantidad por defecto de procesos en paralelo al compilar se toma del número de núcleos de la PC
- La pantalla de splash muestra tantos pinguinos como núcleos tenga la PC de forma similar al arranque de muchos GNU/Linux
- Ya no pregunta dos veces al cerrar una pestaña perteneciente a un fuente que tiene más de una vista
- Corregida la violación de segmento al eliminar puntos de interrupción de un fuente que tenía más de una vista y luego de cerrar una de ellas
- Implementada la compilacion de fuentes en paralelo
- El cuadro para agregar múltiples archivos a un proyecto ya no seleccion por defecto archivo .zpr luego de una búsqueda
- Luego de crear un proyecto y agregar archivos utilizando el asistente de nuevo proyecto, el archivo de proyecto se vuelve a guardar para evitar perder estos cambios (archivos agregados que no pertencen al template, y otros parametros del template reemplazados)
- Ya no se muestra doble mensaje de error cuando la depuración falla al comenzar porque el ejecutable no tiene información de depuración
- Se modificó la gestión de los procesos de compilación para permitir en el futuro compilar varios fuentes en simultaneo
- Corregido el comportamiento del cuadro de confirmación para quitar archivos de un proyecto (no se podía cancelar)
- Se agregó un wrapper para lanzar la GUI en GNU/Linux para definir algunas variables de entorno para evitar los problemas de la nueva interfaz de ubuntu (menues que no se muestran y problema de redibujado al hacer scroll)
- Agregada una barra de herramientas especial con botones para ver/aplicar/descartar cambios que aparece flotante luego de una comparación
- Al aplicar los cambios marcados en la comparacion entre dos fuentes las marcas de dicho cambio se borran de los dos
- Corregido el problema de los breakpoints cuando hay multiples vistas de un mismo fuente
- El cuadro de Ir a archivo... cuando se invoca con un proyecto abierto muestra ahora rutas relativas a al directorio del proyecto
- Agregado un atajo de teclado adicional para accedear al cuadro de Opciones de Compilación y Ejecución, Ctrl+Alt+P, porque el atajo del menú en muchos GNU/Linux se utiliza para minimizar la ventana
- Ya no se pierde el foco del diseñador wxFormBuilder al segundo de lanzarlo cuando se abre desde el arbol de proyecto

Release 20110618

- Ahora se puede acceder al cuadro de diálogo Ir a Clase/Metodo/Funcion desde el menú contextual del arbol de simbolos
- Ahora se puede acceder al cuadro de diálogo Ir a Archivo desde el menú contextual del arbol de simbolos
- Corregida la violación de segmento al cerrar una vista duplicada fuera de un proyecto
- Al duplicar una pestaña de código en la nueva pestaña ahora el cursor se coloca en el mismo punto que en la original
- Actualizado el código del visor de imágenes utilizado para mostrar los grafos con una versión más reciente de CImg
- Corregido el ordenamiento del autocompletado
- Corregido el comportamiento de la tecla Delete en el diálogo de Archivos/Proyectos abiertos recientemente cuando el foco está en el cuaddro de texto
- Ahora las tablas para mostrar inspecciones en tablas separadas notifican cuando se comienza una nueva sesión de depuración con tablas abiertas de la sesión anterior (quedan obsoletas y no vuelen a actualizarse)
- Ahora las tablas para mostrar inspecciones en tablas separadas utilizan como título de su ventana la expresión a inspeccionar
- Agregada una opción en el cuadro de Opciones de Compilación y Ejecución de Proyecto para definir el archivo manifest.xml para compilar aplicaciones para Windows
- Agregada una opción en el cuadro de configuración para Pasos de Compilación Personalizables para que el archivo de salida del paso se incluya en el enlazado del ejecutable
- Agregada una opción en el Asistente Para Nuevo Proyecto para usar los archivos del directorio de proyecto si este ya existe
- Agregada una opción para ver las rutas relativas completas en el arbol de proyecto (desde el menu contextual)
- Al quitar un cpp/h de un proyecto, si existe el complementario pregunta si se debe quitar tambien
- Agregado un cuadro de dialogo para añadir muchos archivos de un directorio y sus subdirectorios a un proyecto (desde el menú contextual del Arbol de Proyecto)
- Ahora se evita reparsear todos los archivos al agregar nuevos a un proyecto
- Agregado un archivo manifest al ejecutable que busca las actualizaciones para que el UAC de algunos Windows deje dar advertencias de seguridad innecesarias
- Al cargar un proyecto, si el nombre del perfil de compilación y ejecución activo da indicios de que es para otro sistema operativo se sugiere cambiarlo
- Ahora se detecta correctamente si el depurador tuvo problemas para iniciar (en Windows gdb puede tener problemas para lanzar el proceso si la ruta al ejecutable contiene espacios)
- La tabla para inspeccionar arreglos/estructuras en tablas separadas durante la depuración ya no cambia el tamaño de celda y pierde el scroll al actualizarse
- Las variables que hacen referencia a un proyecto se reemplazan por sus equivalentes para un archivo simple cuando se ejecuta una herramienta personalizada
- Reordenado el menú emergente con las opciones para insertar rutas o variables en los campos del cuadro de configuración de herramientas personalizadas
- Los paneles atoocultables ya no se desplegan si la ventana principal no está activa
- Los tooltips en el área de código ya no se muestran si la ventana principal no está activa
- Corregido el problema por el cual no se podía poner un punto de interrupción después de utilizar Continuar desde aqui en la depuración
- Corregido el problema del scroll horizontal al abrir un proyecto
- La marca de linea actual ya no queda accidentalmente en más de una línea
- Agregada la posibilidad de duplicar una pestaña para tener dos vistas de un mismo código (desde el menú Ver)

Release 20110508

- Implementados parches varios para solucionar problemas de foco en Windows (despues de algunos eventos el foco no volvía al área de código)
- Ahora se puede utilizar la configuración del proxy para enviar mensajes al sitio
- Implementado un nuevo sistema para notificar automaticamente la disponibilidad de actualizaciones en el sitio
- Ya no se puede colocar puntos de interrución sobre directivas de preprocesador
- Al abrir un proyecto y parsear sus archivos ya no aparece un error si algunos de los archivos no existen
- Al insertar items en una lista para un cuadro de texto ("Editar como lista" en el menu contextual) se inserta el nuevo item en la posicion del seleccionado (si no hay seleccion al final)
- Corregida la forma en que se comparan dos rutas de archivos para saber si son el mismo a la hora de abrirlos para evitar problemas con enlaces simbolicos
- Agregado un item en el menu contextual de la tabla de inspecciones para copiar toda la tabla al portapapeles
- Ahora se pueden arrastrar expresiones y soltarlas sobre la tabla de inspecciones
- Corregido el tamaño del margen para números de linea
- Corregido el funcionamiento de los menues emergentes del cuadro de configuración de pasos de compilación personalizados
- Corregido el problema del doble cursor luego de hacer drag and drop de una selección de texto sobre sí misma
- Corregido el comportamiento de la opción "Mostrar Números de Linea" de la pestaña de Estilos del cuadro de Preferencia
- Ahora cuando no se muestran los números de linea junto al código se muestran en la barra de estado
- Agregado un argumento en la linea de comandos para no mostrar el splash (--no-splash, para depuracion)
- Agregado un mensaje de notificación un tiempo muerto de un segundo cuando se lanza wxFormBuilder para edición para evitar lanzar varias instancias en simultaneo y su potencial bloqueo
- Mejorado el tratamiento de dependencias de pasos de compilación adicionales en la generación de Makefiles
- Agregada una opción para especificar si el archivo de salida de un paso adicional de compilación debe ser eliminado al limpiar el proyecto
- Ahora se permiten algunas variables representando directorios y archivos de proyecto u otros campos en el cuadro de paso adicional de compilación
- Corregido el archivo manifest para que la interfaz tome el estilo correcto tambien en sistemas de 64 bits
- Corregido el parseo de la documentación doxygen para incluir en la ayuda rápida cuando se utilizan versiones recientes de Doxygen
- Las inspecciones que se muestran al dejar el mouse sobre una expresion ahora utilizan el formato pretty de gdb (organizado en varias lineas indentadas)
- Corregido el problema por el cual desaparecian las barras de herramientas al volver de pantalla completa luego de iniciar/detener una sesion de depuracion
- Corregida la forma en que se ocultan los paneles inferiores al apretar Escape cuando son auto-ocultables
- La actualización automática de proyectos wxFormBuilder puede traer problemas en carpetas o medios de solo lectura, por lo que se agregó un mensaje para poder desactivarla cuando falla
- Modificada la verificación automática para actualizar las clases de wxFormBuilder para mejorar los tiempos de respuesta (ahora la verificación automática solo compara las fechas de los archivos fbp y flg)
- Corregida la posición de los paneles de resultados de valgrind y diff cuando se utilizan paneles autoocultables
- Corregido el problema de la pérdida de foco luego del cuadro de buscar/remplazar
- Ahora los paneles auto-ocultables flotantes no se tapan entre si cuando se muestran en simultaneo
- Corregida la visualizacion del panel de mini-plantillas cuando se utilizan paneles auto-ocultables
- Corregida la actualización del panel del exlorador de archivos cuando se utilizan paneles auto-ocultables

Release 20110203

- Corregido el problema de refresco (tamaño equivocado) de las pestañas de codigo fuente al abrir un proyecto con el panel de bienvenida activado en Windows
- Agregado un boton para probar el comando de una herramienta personalizada en el cuadro de configuracion de la misma
- Agregado un cuadro de texto para la carpeta de trabajo de una herramienta personalizada
- El texto del directorio del proyecto para reemplazar ${PROJECT_PATH} en las herramientas personalizadas ya no incluye la barra final
- Corregida la perdida de foco al utilizar los comandos Ir a error siguiente/anterior estando el panel auto-ocultable de Resultados de la Compilacion oculto
- Al hacer doble click en un panel inferior que lleva a un punto en el codigo (error de compilacio, trazado inverso, resultado de busqueda), se corrige el scroll para que el panel no tape la linea de codigo de interes si los paneles son auto-ocultables
- Ahora la opcion Reacomodar paneles al iniciar/finalizar depuracion de las preferencias tambien aplica para los paneles auto-ocultables
- Al hacer click derecho sobre el area para desplegar un panel ocultable este se maximiza para ocupar toda el area codigo
- Al hacer click izquierdo sobre el area para desplegar un panel ocultable este se queda siempre visible
- Corregidos los problemas de foco de los paneles ocultos en Windows
- Agregado una opcion experimental para auto-ocultar los paneles acoplables en los bordes de las ventanas, de modo que solo se desplieguen al pasar el mouse sobre los mismos (desde la pestaña General del cuadro de Preferencias)
- Agregado un boton en el cuadro de archivos/proyectos recientes para eliminar un archivo/proyecto del historial
- Corregido el bug por el cual agregaba metodos ya existentes al actualizar las clases de ventanas heredadas de las clases de wxFormBuilder
- Agregado un combo en el cuadro para generar makefiles que permite generarlos por partes, separando los objetos (parte comun a todos los perfiles de configuracion) del resto
- Si no hay seleccion al mostrar los cuadros de buscar o reemplazar y la ultima busqueda fue en la seleccion, se cambia el alcance de la busqueda al archivo actual
- Corregido el parseo de algunos warnings de las ultimas versiones de g++
- Agregada una verificación adicional para evitar un violación de segmento si el parseo de la salida del compilador falla
- Corregido el problema con el botón "Limpiar" en la barra de herramietas "Ejecución"
- Corregido el problema de los #include automáticos para variables globales declaradas tanto en archivos fuente como cabecera simultáneamente
- Al actualizar automaticamente las clases heredades de clases de proyectos wxFormBuilder ahora se evita marcar como modificados archivos en los que no es necesario agregar nada
- Agregada la biblioteca glew entre los archivos de OpenGL del instalador para Windows
- Agregada una plantilla de proyecto para utilizar la biblioteca SFML, y el índice de autocompletado correspondiente
- El comando Insertar Include Correspondiente funciona también cuando el cursor está sobre un paréntesis que cierra
- El comando Seleccionar Bloque mueve el cursor a la llave opuesta si estaba sobre una de las llaves que definen el bloque (antes siempre iba a la que cierra, ahora alterna)
- Al intentar editar un fuente de solo lectura (en depuracion) ya no se advierte más de una vez en el mismo intento
- Corregida la generación de grafos en GNU/Linux de 64bits
- En las plantillas de autocompletado se agrego una para los iteradores de STL
- Agregados algunos métodos y clases faltantes en las plantilla de autocompletado estandar
- La ventana para ejecucion de procesos externos (por ejemplo Doxygen) muestra el codigo de salida si es distinto de cero
- Cuando una variable global esta declarada en un .h y un .cpp, el parser da ahora prioridad al .h, para que el comando "Insertar Include Correspondiente" evite en lo posible incluir un .cpp
- Los eventos generados en las clases heredadas para la integracion con wxFormBuilder por default tienen la linea "event.Skip();" en lugar de estar vacios
- Agregada una opcion para que se actualicen solos los proyectos de wxFormBuilder y las clases heredadas cuando se detecta un cambio en el archivo .fbp
- Corregido el tramiento de rutas relativas para abrir archivos al hacer doble click sobre un error de compilación fuera de un proyecto

Release 20100923

- Corregida la sincronización de los estados de las barras de herramientas entre el menú Ver y el díalogo de Preferencias al cerrarlas desde su panel
- Al apretar escape en el editor se cierran los paneles inferiores (resultados de la compilación, ayuda, busqueda)
- Actualizado wxWidgets en la versión para Windows a su versión 2.8.11 incluyendo los agregados para OpenGL
- No se permite poner puntos de interrupción en lineas vacias o con solo comentarios
- El icono de la ventana en GNU/Linux tiene ahora mayor resolución
- La opción "copiar de plantilla..." para los argumentos extra de compilación en un programa simple muestra las plantillas como submenú del menú contextual en lugar de abrir un nuevo cuadro de diálogo
- Si existe un archivo clave (config.here) en el directorio de instalación de zinjai usa ese en lugar de buscar en la carpeta personal del usuario
- El cuadro de configuración de herramientas personalizadas incluye una opción para mostrar u ocultar el botón de cada herramienta en la barra de herramientas
- Al hacer click con el botón derecho sobre una herramienta personalizada se abre la ventana de configuración de la misma, en lugar del cuadro de preferencias

Release 20100829

- Corregida la indentación automática para la palabra clave case cuando hay llaves inmediamente despues de los dos puntos
- En Windows, se actualizó el depurador gdb
- En Windows, por defecto ahora se muestra la columna de un error además del nro de linea
- Corregido el cuelgue cuando el depurador arroja información incorrecta acerca del backtrace
- Corregido el cuelgue cuando el depurador se tilda en un step in/over
- Ahora -O0 es una opción por defecto en programas simples, y forzada cuando un proyecto no especifica optimización (el default del gcc es -O1)
- Ahora al seleccionar un error, si gcc indica la columna, esta es considerada para marcar el error en el código
- Corregida la confusion de delete con declaración en la detección de tipos para el autocompletado
- Ahora el argumento -O0 se explicita cuando un proyecto se configura sin optimizaciones
- Corregido el separador decimal a usar al pasar argumentos a gprof2dot para la visualizacion del grafo del perfil de ejecucion
- Corregida la llamada a graphviz en GNU/Linux de 64bits para utilizar un formato de imagen adecuado a la versión de graphviz incluida
- Implementado un soporte básico para hilos de ejecución en la interfaz del depurador
- El titulo de la terminal donde se ejecutan los programas es ahora una variable para poder reemplazarla según uso e idioma
- Agregado un submenu con herramientas personalizables en el menu Herramientas
- Ya no se pierden los atajos de teclado que no figuran en los menúes al cambiar a pantalla completa
- Se agregó un cuadro para enviar mensajes (quejas, errores, comentarios, sugerencias, etc) al sitio de ZinjaI directamente desde el entorno (desde el menú Ayuda)
- Se agregó una barra lateral para las comparaciones con diff que representa el documento y presenta con colores los puntos de diferencias para ir rápidamente a ellos
- Corregido el resaltado de la linea actual luego de una operación de drag and drop
- Corregido el problema de visualización del cursor luego de una operación de drag and drop
- Corregido el comportamiento del drag and drop para cambiar la posición del cursor al hacer click sobre la selección sin arrastrar
- Se actualizaron los Makefiles para Windows y wine para que funcionen sin cambios en una instalación completa de ZinjaI
- Ahora se puede editar la tabla de inspecciones aunque el depurador no esté corriendo
- Al dibujar el grafo del perfil de ejecución pregunta los umbrales para filtrar nodos y aristas
- Corregido el path para buscar la información del perfil de ejecución al visualizar los resultados en modo texto para un proyecto que tiene definido un directorio de trabajo
- Corregida la visualización de argumentos en el trazado inverso en Mac
- Corregido el comando para abrir la terminal desde el menú Herramientas en Mac
- Si el directorio destino para un proyecto no existe, se crea
- El directorio por defecto para proyectos ahora se encuentra en el home del usuario, y no en donde se instala ZinjaI
- Corregidos los valores por defecto para los paths de doxygen y wxformbuilder en Mac
- Implementado un parche temporal en wxStyledTextCtrl para solucionar el problema de las teclas muertas en Mac
- Corregida una potencial violación de segmento al parsear al actualizar el trazado inverso en la depuración

Release 20100624

- Corregida la violación de segmento al cerrar un proyecto sin detener el depurador
- Se agregaron dos opciones al cuadro de configuración de Doxygen para definir si se deben incluir las funciones/variables static, y los atributos/metodos privados
- Si se oculta el panel de mini-plantillas cerrandolo sin usar el menú, ya no vuelve a aparecer al reiniciar ZinjaI
- Corregida la violación de segmento en el parseo de argumentos al generar el trazado inverso
- Actualizados todos los iconos de las barras de herramientas y menúes del tema predeterminado (en tamaños 16x16, 24x24 y 32x32)
- Corregido el orden de los temas de iconos en el cuadro de Preferencias
- Actualizados todos los iconos de las barras de herramientas y menúes del tema predeterminado (en tamaños 16x16, 24x24 y 32x32)
- Actualizados todos los iconos de las barras de herramientas y menúes del tema predeterminado (en tamaños 16x16, 24x24 y 32x32)
- Ahora se puede elegir el tamaño de icono para la barra de herramientas (siempre que el tema seleccionado tenga los iconos en multiples resolusiones)
- Corregido el parseo del trazado inverso del depurador para soportar el formato la versión de gdb presente en XCode 3.1.4 (6.3 para Mac OS X)
- Corregida la numeración del trazado inverso en Mac OS X
- Corregida la gestion de la terminal de ejecución para depuración en Mac OS X
- Corregida la forma de dibujar botones con imagen y texto para evitar la doble etiqueta en Mac OS X
- Definidos los valores por defecto para los parametros plataforma-dependientes para Mac OS X
- El buscador de actualizaciones ahora diferencia las versiones para Mac
- Implementado un wrapper para lanzar terminales en Mac OS X
- La pantalla de splash permanece visible al menos tres segundos aunque ZinjaI termine de cargar antes (puede ocultarse en cualquier momento haciendo click sobre la misma)
- Cuando en un perfil de configuracion se define que solo deben generarse bibliotecas (sin ejecutable), se desactivan los campos que ya no se usan de la pestaña General del cuadro de Opciones de Compilación y Ejecución de Proyectos
- Corregida la violación de segmento luego de eliminar un perfil de configuración de un proyecto
- Implementado el botón de pausa para interrumpir un programa en Windows sin finalizar la sesión de depuración
- Agregada una verificación de tiempos para detectar cuando el IDE se cuelga por falta de respuesta de parte del depurador (la condición es tardar más de 30 segundos en una operación rapida)
- Corregida la reasignación del frame en las inspecciones modificadas manualmente
- Reimplementada la detección de frame (columna nivel) para las inspecciones (ahora es mucho más rapida)
- Corregida la inicialización de atributos estáticos de los cuadros OSD (en modo Release en Windows se dibujaba solo un rectángulo negro)
- Corregida la numeración de archivos abiertos con el mismo título
- Implementada una verificación adicional al detectar el directorio de trabajo para contemplar la estructura de paquetes dmg (para Mac OS)
- Implementado un panel con plantillas de código para las estructuras de control básicas de c++ orientado a estudiantes que dan sus primeros pasos en c++
- Agregada una opción en el cuadro de Preferencias para que la compilación de un proyecto no se detenga si un paso falla (intente continuar hasta el enlazado, compilando los demás fuentes)
- Reorganizados algunos elementos del cuadro de Preferencias
- Al buscar en la ayuda más de una palabra, se consideran dos palabras separadas si no está entre comillas, y no una frase como antes (la búsqueda ya no es literal)
- Ahora se guarda en el proyecto la versión de ZinjaI que lo guardó además de la mínima requerida

Release 20100526

- Corregidas las posible violaciones de segmento al iniciar el Asistente Para Nuevo Archivo/Proyecto
- Corregidas las posible violaciones de segmento al cerrar el IDE debido al orden de destrucción de las clases
- Nueva imágen para la splash screen

Release 20100521

- Corregido el segfault en el runner al esperar una tecla luego de la ejecución
- Ya no se crean ventanas que no se usan al cargar el entorno (como las de compartir archivo, o el asistente, para que el inicio sea más rápido)
- Corregido el path donde busca la información de perfilado de ejecución cuando un proyecto define un directorio de trabajo
- Corregido el tratamiento y coloreado de inspecciones congeladas
- Los nodos en el grafo de proyecto se colorean segun el tamaño de cada archivo comparado con la mediana de todos los tamaños
- El grafo del proyecto incluye información sobre el tamaño del archivo
- Corregida la rutina de análisis de dependencias para el caso en que los directorios extra para cabeceras incluyen subdirectorios del proyecto
- Se agregaron mensajes tipo osd para indicar el trabajo mientras se dibujan los grafos de clases, perfilado, y proyecto
- Agregada una opción en el menú de herramientas para generar un grafo con los archivos del proyecto indicando las inclusiones
- Ahora en los proyectos, la opción de esperar una tecla luego de la ejecución presenta tres modos: Siempre, Solo en caso de error, Nunca
- Corregida la presentación de las fechas en los cuadros de propiedades de archivos
- Ahora se distingue las señales de Watch y Trap en el mensaje en la barra de estado de la depuración en GNU/Linux
- Al detenerse por un watchpoint en la depuración, ahora se incluye la expresión de dicho watch en la barra de estado de la depuración
- Agregada una opción en el menú contextual de la Tabla de Inspecciones para congelar el resultado de una inspección (que no se actualize aunque el programa avance)
- Ahora se resaltan con colores las inspecciones actualizadas en la Tabla de Inspecciones
- Agregado un cuadro de diálogo con estadísticas sobre un proyecto (menú Herramientas)
- Ahora considera las bibliotecas a generar al exportar el Makefile de un proyecto
- Se removieron algunos comandos de los menues (Abrir Seleccionado, Forzar Autocompletado, Fuente Siguiente/Anterior) para limpiar la interfaz, pero se mantienen los atajos de teclado para invocar esas funcionalidades
- Al presionar F2 con el foco en la tabla de inspecciones, se activa la edición de la expresión en la columna seleccionada
- Ahora la opcion de Permitir editar los fuentes durante la depuración se aplica inmediatamente también a los fuentes abiertos, y se muestra un mensaje alusivo si el usuario intentar modificar el código
- Agregada una pestaña en la configuración para Doxygen para introducir parametros para el Doxyfile manualmente (para definir parámetros no contemplados en ese cuadro de diálogo)
- Arreglada la secuencia de compilación cuando un proyecto no genera ejecutable, solo bibliotecas
- Ahora se actualiza el parser cuando un archivo de un proyecto cambia de categoría (fuentes, Cabeceras, otros)
- Ya no se parsean archivos de proyecto de la categoría Otros al guardar
- Implementada la compilación de bibliotecas estáticas y dinámicas como parte de proyectos
- Implementada la interfaz para la generacion de bibliotecas en proyectos (no funcional, solo GUI)
- Implementado un hipervinculo especial para abrir códigos de ejemplos desde la ventana de ayuda
- La ventana de ayuda ya no queda siempre sobre el resto
- Corregida la colocación de puntos de interrupción con clicks en el margen
- Corregida la visualización de arreglos en tablas separdas durante la depuración
- Corregida la inicialización del servidor utilizado para mantener una sola instancia de ZinjaI

Release 20100415

- Corregido el conteo de reintentos para abrir un fuente en otra instancia de ZinjaI
- Corregido el comportamiento del boton Sin Argumentos del diálogo de Argumentos Para la Ejecución
- Eliminada la race condition en el parser al purgar/cerrar un fuente mientras se analiza otro
- Ahora al abrir archivos con ZinjaI mediante los argumentos en la linea de comandos (por ejemplo desde el explorador del SO) se puede hacer que reutilice una instancia previa si existe (no para proyectos)
- Implementados dos comandos básicos para la integración de Valgrind en Linux (menu Herramientas)
- Ya no intenta mostrar tooltips al dejar el mouse sobre un comentario
- Ya no es necesario guardar los archivos de un proyecto al actualizar el Arbol de Simbolos
- Ahora al actualizar el Arbol de Simbolos se tienen en cuenta archivos de un proyecto que no esten abiertos, pero hayan sido modificados por alguna aplicación externa
- Mejorada la velocidad de respuesta en la depuración
- Ahora el ajsute de linea tiene un nivel intermedio en el que no se activa para fuentes, pero si para otros tipos de archivos
- Agregada la posibilidad de definir nu explorador de archivos, y una detección inicial de cual utilizar por defecto sobre un grupo de conocidos (konqueror, dolphin, nautilus, thunar)
- Agregada una opción en el menú contextual de un archivo (desde la pestaña cuando está abierto, o desde el árbol de proyecto) para abrir la carpeta que lo contiene en un explorador
- Ahora la Ayuda Rápida basada en el parser agrega fragmentos de html extraidos de la documentación generada por Doxygen
- Corregido el segmentation fault al copiar/pegar con el menú contextual
- Corregido el segmentation fault cuando el trazado inverso sobrepasa el número máximo de frames a mostrar
- Ahora el comando Detener del menú Ejecutar funciona correctamente con proyectos que no utilizan consola en GNU/Linux
- Corregido el problema al pasar argumentos para el ejecutable con espacios
- Ahora el cuadro de Ir A Clase/Método/Función también muestra busca entre las macros que reciben argumentos
- Ahora los calltips muestran los nombres de los argumentos de funciones y métodos

Release 20100221

- Agregado soporte multilenguaje para los títulos de plantillas de programas simples
- Agregado soporte multilenguaje al runner
- Ahora al intentar modificar el valor de una inspección insensible al contexto, se intenta asociar al contexto actual primero
- Corregida la selección de valores modificados en la tabla de inspecciones
- Ahora al salir de una función utilizando el "step out" en el depurador, informa junto al estado el valor de retorno
- Corregido el problema de foco al copiar y pegar en la ventana principal fuera del código fuente
- Corregida la violación de segmento al editar las propiedades de un punto de interrupción desde el diálogo de listado sin un proyecto abierto ni el depurador corriendo
- Agregada la posibilidad de definir el idioma en el diálogo de Preferencias
- Ahora pregunta la primera vez que se ejecuta qué idioma utilizar
- Implementado el editor de traducciones
- Primera parte de la infraestructura para la internacionalizacion de la interfaz
- El autocompletado forzado ahora funciona correctamente con directivas de preprocesador y Doxygen
- Agregada la posibilidad de incluir palabras especiales para documentar con Doxygen al autocompletado (dicho indice no esta seleccionado por defecto)
- Ahora muestra la versión en consola y sale sin abrir ninguna ventana cuando se lo invoca con --version
- Corregido el comando de terminal sugerido para gnome-terminal para correr correctamente la terminal para depuración
- Corregida la creación de carpetas recursivas al copiar templates de proyectos
- Corregido el comportamiento de la opción "Recompilar automaticamente antes de depurar si es necesario" de la pestaña de Depuracion del cuadro de ptreferencias
- Corregida la corrupción de memoria al guardar un programa sin título y vació (en Windows se manifesta al cerrar la pestaña)
- Cambiado el bucle infinito del runner utilizado para mantener una consola abierta para depuracion en GNU/Linu, para evitar que consuma tiempo de procesador
- Ya no se bloquea la tabla de inspecciones cuando el depurador termina de forma anormal al intentar evaluar una expresión
- Corregido el comando que abre la terminal para depuracion en GNU/Linux (las comillas daban problemas con algunas versiones de konsole)

Release 20100202

- Agregada la barra de desplazamiento horizontal en el Panel de Mensajes del Depurador
- Corregido el conteo de resultados al realizar busquedas en multiples archivos de un proyecto
- Ahora el Panel de Mensajes del Depurador acomoda el scroll ante cada nuevo mensaje para que el ultimo permanezca visible
- Corregido el parseo del dialogo con el depurador para la extraccion de mensajes para el usuario
- Corregido el cuelgue al hacer doble click sobre el Panel de Trazado Inverso mientras el programa esta ejecutandose
- Ya no se imprimen las marcas de ajuste de linea
- Agregado un campo en la pestaña Estilo del cuadro de Preferencias para definir el tamaño de fuente en la impresión
- Agregada una comprobación para determinar si se abrió correctamente una terminal para una sesión de depuración
- Corregido el directorio de trabajo en la expansión de subcomandos para las opciones de compilación
- Corregida la violación de segmento al aceptar en el cuadro de Opciones de Compilación y Ejecución de un programa simple, cuya pestaña fue cerrada
- Reestablecido el tamaño de la columna de etiquetas en las tablas de inspecciones separadas
- Corregida la visibilidad de la barra de herramientas de depuración al reiniciar si se mantiene siempre visible
- Ahora se mantienen las filas de en las barras de herramientas si el usuario las reacomoda en más de una
- Ahora se muestra correctamente el nombre de un paso especial si interrumpela compilación de un proyecto
- Ahora se setean correctamente los puntos de interrupción al adjuntar un proceso al depurador
- Al cargar el volcado de memoria se actualiza la tabla de inspecciones
- Reestablecida la funcionalidad del boton de pausa para la depuracion en Linux
- Ahora se borra el contenido del panel de mensajes del depurador cada vez que comienza una nueva sesion de depuracion

Release 20100102

- Ahora se reconoce correctamente la ruta por defecto guardada en el proyecto al abrir un archivo dentro del mismo
- Corregido el ordenamiento de los items de los submenúes de archivos y proyectos recientes en relación al separador
- Corregido el problema de las transparencias en los cuadros de mensajes en Windows con wxWidgets-2.8.10
- Agregado un botón para limpiar los historiales en el cuadro para abrir archivos o proyectos recientes
- Los proyectos guardan la tabla de inspecciones actual y las guardadas en el archivo de proyecto
- Se pueden guardar (internamente, en memoria) listas de inspecciones (el contenido de la tabla) para recuperar en otro momento
- Las inspecciones persisten entre sesiones de depuracion pero se tornan insensibles al ambito
- Ahora se pueden definir inspecciones insensibles al ambito
- Agregados a la generación de makefile los pasos de compilación adicionales que tienen definido el archivo de salida
- Ahora no se invoca a la herramienta file (determina el tipo de un archivo) mientras el parser está trabajando (esto genera una deadlock)
- Agregado un panel con mensajes del depurador (gdb 7 informa sobre creación de hilos, cargado de librerias, y warnings sobre el manejo de la pila)
- Implementado soporte experimental para la ejecución en reversa (nueva caracteristica de gdb 7) en GNU/Linux
- Agregado un límite a la cantidad de errores que se procesan en la salida para armar el arbol (para evitar "cuelgues" cuando hay literalmente miles)
- Ahora se puede seleccionar el idioma para los errores de compilación también en Windows
- Actualizada la biblioteca wxWidgets a la versión 2.8.10 en la distribución para Windows
- Corregido el sistema de depuracion para comunicarse correctamente con gdb-7
- Actualizado el compilador en Windows a gcc-4.4.0 y el depurador a gdb-7.0.2
- Ya no hay que esperar al parser para cerrar ZinjaI
- Ya no hay que esperar al parser para cerrar un proyecto
- Corregido el comportamiento del editor de items para los campos que contienen listas
- El archivo de proyecto ahora guarda el path del panel del Explorador de Archivos
- Ya no muestra un mensaje de error si al iniciar no existe la ruta para el arbol del Explorador de Archivos
- Corregida la selección de un punto de interrupción desde el diálogo de Lista de Break/Watch points
- Cualquier proyecto abierto se considera modificado (para no olvidar guardar breakpoints, lineas resaltadas, archivos abiertos, posiciones del cursor y demás información secundaria)
- La etiqueta que muestra el estado del depurador en la barra de herramientas se actualiza luego de actualizar inspecciones y trazado inverso al detenerse el programa
- Optimizada la comunicación con el depurador para obtener el trazado inverso junto con la información necesaria de cada frame para actualizar las inspecciones
- Corregida la eliminación de puntos de interrupción desde el diálogo Lista de Break/Watch points
- Agregada una opción en el menú Ejecutar para ejecutar sin guardar ni recompilar aunque los fuentes cambien
- Ahora se abren correctamente las carpetas en el panel del Explorador de Archivos al hacer doble click sobre las mismas en Windows
- Ahora las rutas son relativas en los argumentos de ejecución al utilizar el botón de los 3 puntos
- Ahora se agregan las comillas para rutas con espacios en los argumentos de ejecución al utilizar el botón de los 3 puntos
- Agregada una opción para mostrar los espacios en blanco y los caracteres de fin de linea
- Ahora se muestran correctamente las guias del indentado
- Corregido el problema de los timestamp (que no recompilaba cuando debia y que pensaba que un fuente habia sido modificada por otra aplicacion)
- Corregido el problema de los timestamp también para los archivos incluidos (#include)
- Ahora se avisa en el item de estado del panel de Resultados de la Compilación si un paso especial de un proyecto detiene el proceso y se indica cual
- Corregida la generación del listado de lineas resaltadas en un proyecto
- Corregido el problema de la selección en la grilal de puntos de interrupción para algunas versiones wx
- Agregada una pausa en el bucle que espera la salida del depurador para reducir el consumo de cpu
- El cuadro de opciones de Compilación y Ejecución de Proyecto ya no permite guardar los cambios si el nombre del ejecutable queda vacío
- Si el directorio para el ejecutable de un proyecto no existe, lo crea antes de compilar
- Agregada una opción en la configuración para Doxygen para definir el directorio base (las rutas en la documentación serán relativas a éste)
- Agregada una opción en la configuración para Doxygen para incorporar el motor de busqueda (para utilizarlo se requiere un servidor http con soporte para PHP)
- Agregado un sistema de warnings internos del proyecto para avisar de las fechas del futuro
- Si una cabecera incluida por un fuente tiene fecha de modificación en el futuro, se arregla la fecha de la cabecera y se recompila obligatoriamente el fuente
- Si un objeto de un proyecto tiene fecha de modificación en el futuro, se recompila obligatoriamente
- Si un fuente de un proyecto tiene fecha de modificación en el futuro, se cambia por la actual al compilar (para que no recompile todo en cada ejecución)
- Corregido el conteo de elementos al mostrar arreglos en tablas separadas
- El botón que aparece en el cuadro de búsqueda de actualizaciones cuando se encuentra disponible una versión más nueva lleva directamente a la página de descargas

Release 20091120

- Corregido el problema que no permitía agrandar el ancho de las columnas de una tabla más alla de los límites de la ventana en Windows
- Corregido el problema del tamaño de las barras de herramientas luego de modificarlas
- La variable TEMP_FOLDER también se aplica en los campos de argumentos extras para compilador y enlazador en las opciones de proyecto
- Corregido el orden de los atajos de teclado para cambiar de pestaña en Windows
- Corregido el comportamiento del botón Detener de la ventana de visualización de salida de ejecución (que se usa para doxygen y para pasos adicionales de compilación)
- Agregado un boton para ejecutar individualmente un paso de compilación personalizado desde el diálogo Opciones de Compilación y Ejecución de Proyecto
- El diálogo de buscar y reemplazar ya no se cierra con Buscar Siguiente o Buscar Anterior
- Se conserva la posición relativa del cursor en una línea al indentar esa linea con la opción Indentar Bloque del menú Edición
- Ya no se muestra el menú de autocompletado al indentar un bloque con la opción Indentar Bloque del menú Edición
- Corregido el indentado automático de la palabra clave else al comienzo de una linea
- Ahora al arrastrar y soltar se puede soltar sobre posiciones fuera del texto pero cercanas
- Corregido el comportamiento del comando de depuración Continuar Desde Aqui para fuentes sin nombre
- Ahora avisa en el arbol de compilacion y en la barra de estado cuando está regenerando los proyecto de wxFormBuilder
- La versión mínima necesaria para abrir un proyecto (que se guarda en el archivo de proyecto) ya no es fija, sino que se "calcula" según la configuración
- Los directorios y archivos de la pestaña general del diálogo Opciones de Compilación y Ejecución de Proyecto definen rutas relativas al utilizar el diálogo de selección de archivo/directorio (boton de los tres puntos)
- Corregida la ubicación de los globos emergentes al dejar el mouse sobre una variable
- Agregada la posibilidad de definir un ícono para el ejecutable entre las opciones de compilación y ejecución de un proyecto (solo tiene sentido en Windows)
- Agregado un ítem para abrir una terminal/consola (en Windows, con las variables de entorno para MinGW ya definidas) en el menú Herramientas
- Corregida la selección de la pestaña del cuadro de Preferencias al hacer click con el botón derecho sobre la barra de herramientas
- Ahora soporta el uso de la variable TEMP_DIR al verificar si hay que ejecutar un paso adiciónal de un proyecto al compilar
- Se corrigieron todos lo warnings detectados por gcc-4.4.2
- Se eliminó la transparencia para el Splash
- Se actualizaron los íconos de la aplicación y de los tipos de archivos (se agregaron además iconos de alta resolución)
- Se pueden agregar los elementos del menú de wxFormBuilder a la barra de herramientas
- Corregida la violación de segmento al invocar la ventana de ayuda por segunda vez
- Agregada una opción en el submenú Diseñar interfaces del menú Herramientas para actualizar las clases heredadas de las generadas por wxFormBuilder (agregar los métodos que falten si se definieron eventos nuevos)
- Corregido el loop infinito al recibir el foco en la pestaña de un archivo que se eliminó del disco
- Corregido el error por el cual la ventana principal no se maximizaba al iniciar
- Cambiado el tamaño del historial de archivos abiertos a 50
- Reemplazado el diálogo de selección de archivos y proyecto recientes por uno propio para permitir buscar rápidamente por parte del nombre
- Corregido el bug que impedía generar clases heredadas de proyectos wxFormBuilder cuando el archivo de dicho proyecto estaba en un directorio diferente al del proyecto ZinjaI
- Corregido el bug que impedía visualizar bien algunas expresiones resultado de partir una expresión más compleja en la tabla de inspecciones al avanzar paso a paso

Release 20091101

- Corregido el problema de los espacios en la ruta completa a la carpeta de ZinjaI al ejecutar (para llamar al runner) en GNU/Linux
- Agregada una pestaña para la selección del tema de íconos en el diálogo de Preferencias
- Implementado el soporte para múltiples temas de íconos e imágenes
- Corregida parcialmente la desaparación del cursor luego del drag and drop
- Corregido el bug que impedía continuar cuando un editor externo modificaba un archivo abierto en Windows
- La cantidad de filas de la tabla de inspecciones y sus rótulos se ajustan automáticamenten al variar la estructura inspeccionada (para salidas de macros gdb)
- Corregidos varios bugs en la deteccion de campos para mostrar inspecciones como vectores o matrices en ventanas separadas
- El panel de bienvenida se oculta correctamente al abrir un proyecto luego de abrir archivos simples
- Se puede definir el archivo de macros para el depurador individualmente para un proyecto desde el diálogo de Configuración del Proyecto
- Agregada una opción para cargar un archivo con definiciones de macros para el depurador en el diálogo de Preferencias
- Ahora se puede colocar comandos gdb en directamente en el panel de inspecciones (anteponiendo el signo mayor >)
- Corregida la ubicación de los calltips en lllamadas de varias lineas para no tapar al cursor
- Corregido el drag and drop de archivos sobre la ventana principal
- El menu contextual de la tabla de inspecciones ya no muestra opciones que no debe si la expresión seleccionada salió fuera de ambito
- Arreglado el comportamiento del menú contextual para "Mas opciones..." en el dialogo para editar parametros como texto
- Agregado un botón en el asistente para nuevo archivo para introducir el nombre y la ubicación de un nuevo archivo para un proyecto con un cuadro de diálogo de selección de archivo
- Corregido el segfault al hacer doble click en un ítem del arbol de resultados de la compilación que no representa un error
- Corregida la bandera que determina el tipo de búsqueda al buscar en todos los archivos de un proyecto
- Agregado un enlace al historial completo de archivos o proyectos abiertos desde el panel de bienvenida
- Implementado el drag and drop de texto en los fuentes
- Se actualiza automáticamente el arbol del explorador al guardar un fuente en su raiz

Release 20091005

- Corregida la recarga de los indices de autocompletado propios de un proyecto luego de modificar los comunes en el diálogo de preferencias
- Ahora se avisa cuando el depurador se cierra anormalmente al intentar crear una inspección
- Ahora cuando una inspección no se puede crear en el depurador, si el problema no es que el símbolo no existe, se muestra el mensaje de gdb al respecto
- Corregida la forma de llamar al navegador para abrir paginas de ayuda o enlaces (tenía problemas en Windows Vista)
- Corregido el problema de "broken pipe" al detener la depuración
- Las transparencias en los botones con imágenes y texto se muestran correctamente también Windows aún usando un tema con botones con más de un color de fondo
- En el arbol de salida del compilador, para warnings y errores solo se muestra el nombre de archivo, en lugar de todo el path
- Corregidos algunos errores en el comportamiento de la pestaña de barras de herramientas del cuadro de preferencias y su aplicación
- Agregada la barra de herramientas "Ver"
- Agregados dos atajos para recorrer rápidamente la lista de errores y warnings de compilación (en el menú Ver)
- Agregado un detalle visual en el panel de inspecciones para indicar que inspecciones pueden descomponerse en multiples sub-inspecciones
- El panel de bienvenida se muestra tambien cuando se reciben parámetros para inciar pero no se encuentran o no son archivos
- Corregido el cuelgue al activar y desactivar muy rápidamente un breakpoint de un proyecto con un dobleclick en el margen del fuente
- Agregada una opción (oculta en el archivo de configuración, no en la interfaz) para seleccionar el tipo de información de depuración a generar
- Se agregó un archivo .manifest en la versión para Windows para que ZinjaI se integre con el theme del sistema
- Se cambió el comportamiento del segundo botón en la ventana de ejecución de Doxygen para permitir interrumpir dicha ejecución
- Se mejoró la forma en que se procesa la salida de Doxygen durante su ejecución para evitar deadlocks en Windows
- Ahora se verifica la versión de ZinjaI requerida por un proyecto para advertir por problemas de compatibilidad cuando se abran proyectos generados con versiones futuras
- Corregido un bug en la lectura del trazado inverso en programas con multiples hilos de ejecución
- Corregido el autocompletado dentro de la definición de constructores que llaman a constructores de sus atributos o ansestros
- Agregado un cuadro de diálogo para ver las propiedades de un fuente (se accede desde los menues contextuales del arbol de proyecto o de la pestaña del fuente)
- Actualizado gdb a la version 6.6 en el paquete para Windows
- Agregada una opción para evitar cargar información de librerías externas (mejor drásticamente el tiempo de inicio de la depuración)
- Los errores de compilacion que se dan al no poder castear un argumento se muestran en un item con un subitem (en lugar de dos items separados) en el arbol del errores de compilación
- Agregada una lista de seleccion multiple para elegir los indices de autocompletado asociados a un proyecto (en el cuadro de Configuración del Proyecto)
- Al buscar en los archivos del proyecto se tienen en cuenta los cambios en los archivos abiertos
- Ahora se puede ir desde la lista de breakpoints a la posición de uno haciendo doble click sobre el mismo en la columna de ubicación

Release 20090927

- Corregido el comportamiento de los menues contextuales de los árboles de proyecto y del explorador de archivos, cuando se invocan por teclado
- Corregida la desincronización entre la información del parser y los fuentes generados por wxFormBuilder que impedía generar clases heredadas
- Corregido el agregado y borrado de perfiles de configuración de proyecto
- Para cada fuente abierto se verifica automáticamente al recibir el foco si fue modificado por una apliación externa
- Ahora para renombrar un archivo de un proyecto se utiliza el diálogo "Guardar Como" en lugar de un simple cuadro de texto
- Corregidos los problemas de foco en los mensajes del diálogo para buscar y reemplazar
- Ahora la recuperación ante errores reconstruye proyectos completos
- Agregado el panel de bienvenida
- Corregido el problema del foco del cuadro de sugerencias al iniciar en Windows
- Al crear un proyecto a partir de los archivos abiertos ya no se incluyen los archivos originales de la plantilla
- Corregida la aplicación sin reiniciar de las opciones de tabulado tanto generales como de proyecto
- Ahora se puede crear un nuevo proyecto utilizando los archivos abiertos en modo simple
- Se separó en dos paginas la configuración de un nuevo proyecto en el asistente
- Corregida la visualización del tiempo de compilación al recompilar un fuente individual de un proyecto
- Agregada la posibilidad de copiar los argumentos de una plantilla o los predefinidos en el cuadro de Opciones de Compilacion y Ejecucion
- Corregida la apariencia de la barra de búsqueda rápida en GNU/Linux
- Agregada una plantilla de programa simple para OpenGL+GLUT
- Corregida la apertura del explorador de archivos si al ejecutarse ZinjaI recibe por parametro un directorio
- Agregada una pestaña de ayuda rápida en el menu de Opciones de Compilacion y Ejecucion de proyecto
- Agregada un recuadro de ayuda rápida en el Asistente de Nuevo Archivo/Proyecto
- Agregada una pestaña de ayuda rápida en el menu de Preferencias
- Agregada una opción para colocar el panel de inspecciones a la derecha en lugar de abajo
- Agregada una comprobacíón para verificar si está instalado Doxygen al intentar generar la documentacion
- Agregada una comprobacíón para verificar si está instalado wxFormsBuilder al abrir un proyecto que lo utiliza
- Ahora pregunta antes de reemplazar un archivo al crear un proyecto en una carpeta que no está vacia

Release 20090904

- Ahora el cuadro de dialogo Buscar Actualizaciones ofrece abrir el sitio, en lugar de sola la pagina de cambios
- Agregada una opción para eliminar todos los comentarios en el menu Herramientas
- Corregida la alineación de comentarios cuando hay varios fragmentos independientes en una misma linea
- Ahora verifica si encuentra el compilador y el depurador al iniciar por primera vez en GNU/Linux
- Agregado un parche temporal para evitar problemas con Konsole en KDE4 (no hay compatibilidad hacia atras con sus parametros, y el nuevo sistema puede estar incompleto)
- Los directorios adicionales configurados para buscar archivos de cabeceras tambien se tienen en cuenta para la configuración de Doxygen
- Ahora hay un campo específico para macros predefinidas en las opciones de proyecto, que también aprovecha Doxygen
- Agregada una opción a la configuración de Doxygen para habilitar o deshabilitar el preprocesado
- Cambiado el comportamiento del diálogo de Opciones de Compilacion y Ejecucion de Proyecto. Ya no hay botón aplicar: se gestionan simultaneamente todos los cambios en todas las configuraciones con aceptar y cancelar
- Agregado un comando en el menú Depuracion para adjuntar el depurador a un proceso que ya está ejecutandose
- Mejorado el comportamiento de la selección de bloques en un fuente
- Los items del menú Editar devuelven el foco al fuente si estaba en otro panel
- Ahora se guarda correctamente el historial de argumentos para la ejecución
- Mejorada la navegación con el teclado por el panel del Explorador de Archivos
- Corregido el comportamiento del menú contextual de las pesatañas de código en un proyecto
- Corregido el reagregado de archivos que ya pertenencen a un proyecto desde el árbol de proyecto
- Corregida la ejecución de programas con espacios en la ruta en proyectos sin consola
- Ahora se puede insertar y eliminar archivos de un proyecto utilizando las teclas Insert y Delete en el árbol de proyecto
- La opción Continuar desde aqui del menú Depuracion ahora funciona correctamente también en Windows
- Ahora el nombre de un proyecto se asigna automáticamente al archivo de proyecto y al path del ejecutable a generar en cada coniguración al crearlo
- Agregada la posibilidad de generar un volcado de memoria durante una depuración en GNU/Linux
- Corregido el comportamiento del historial de proyectos recientes en Windows
- Ahora se agregan correctamente los archivos a un proyecto aunque hayan estado abiertos previamente
- Corregidos los problemas al agregar múltiples archivos a un proyecto desde el menú contextual del árbol de proyecto
- En los pasos de compilación personalizados se reemplaza ${TEMP_DIR} por el directorio de objetos temporales del proyecto
- Agregada una opción en el menú Depuración alterar la ejecución continuando en un punto diferente al que se detuvo
- Corregida la opción de depuración para ejecutar hasta donde se encuentra el cursor en el codigo
- Agregado el soporte para imprimir los códigos fuentes
- Corregido el comportamiento del cuadro de diálgo Ir a Archivo cuando no hay proyecto y hay archivos con nombre
- Agregada la posibilidad de agrupar los paneles del Arbol de Proyectos, Explorador de Archivos y Arbol de Simbolos en un solo panel con pestañas
- Corregida la aplicación del tipo de watchpoint
- Los archivos cuyas extensiones empiecen con números se considerarán fuentes C++ al compilar en el modo de programa simple
- Agregada una opción al cuadro buscar para ignorar ocurrencias en comentarios
- Las tablas de inspecciones y trazado inverso recuerdas las columnas contraidas al salir
- La opcion Insertar #include considera los directorios adicionales de la configuración de proyecto para acortar si es posible
- El submenu Abiertos recientemente del menu Archivos se dividió en dos para diferencias porgramas simples de proyectos
- El autocompletado ahora procesa correctamente variables "locales" declaradas con extern/const/static/volatile

Release 20090610

- Agregada la posibilidad de asociar indices de autocompletado a proyectos para que se carguen automáticamente al abrirlos (en el diálogo Configuración del Proyecto)
- Corregida la definición de la plantilla de proyecto para OpenGL
- Se retocaron algunos colores en el resaltado de sintaxis
- Ahora se leen correctamente las configuraciones para Doxygen de los proyectos
- Se comenzó a utilizar Doxygen para documentar el código fuente del proyecto
- Agregada la posibilidad de abrir un volcado de memoria para inspeccionar en el depurador (solo GNU/Linux)
- Corregido el cuelgue al ir a las opciones del breakpoint durante la ejecución en una linea donde no hay breakpoint
- Los pasos adicionales de la compilación ahora se procesan correctamente incluyendo el control de dependencias (tambien hacia adelante)
- Los pasos adicionales para la compilación de proyectos ya se guardan en el archivo de proyecto (aunque todavia no se aplican)
- Completada la interfaz para la definición de pasos de compilación personalizados

Release 20090530

- Agregada la pestaña Secuencia (solo parte visual) en el diálogo de Opciones de Compilacion y Ejecucion de Proyectos para introducir pasos personalizables en el proceso de compilación
- Agregada una opción en el menú Herramientas para ver la salida del profiler sin procesar, como texto
- Corregida la violación de segmento al eliminar puntos de interrupción desde el dialogo de Listar Watch/Break points
- Ahora se tienen en cuenta las comillas en las listas de bibliotecas y directorios adicionales de las opciones compilación de un proyecto
- Corregido la visualización de la consola al ejecutar proyectos en Windows
- Corregido el cuelgue al cerrar una pestaña de un proyecto durante el parseo inicial de los fuentes
- Agregada una opción en el menú Herramientas para alinear todos los comentarios a partir de determinada columna
- Corregida la violacion de segmento al presionar Ctrl+F1 sin un proyecto abierto
- Corregidos los números de niveles para las insptecciones al romper una expresión inspecciones en la tabla de insptecciones
- Agregado un comando en el menú Herramientas para generar automáticamente las clases heredadas a partir de un formulario diseñado con wxFormBuilder
- Integración básica con wxFormBuilder (diseñador visual de interfaces con wxWidgets)
- Al recargar un fuente, se mantienen la posición del cursor y la selección en caso de existir
- Corregida la barra de herramientas Herramientas
- Corregida la violación de segmento al detener forzosamente la depuración, luego de continuarla tras una interrupción

Release 20090405

- Corregida la violación de segmento al cambiar las preferencias en Windows
- Corregida la dirección para la búsqueda de actualizaciones automáticas
- Corregida la violación de segmento que ocurría cuando se abría un proyecto teniendo otro proyecto abierto junto con archivos que no pertenecían al mismo
- Corregido el cuelgue al cargar por segunda vez el cuadro de preferencias en Windows
- Corregidas las imagenes del cuadro de preferencias en Windows
- Corregido la edición valores de variables de tipos base en la tabla de inspecciones
- Agregado un menu contextual en los rotulos de las columnas de las tablas de trazado inverso e inspecciones para contraer o expandir columnas
- Corregido el cuelgue al listar los puntos de interrupcion sin pausar el depurador
- Corregido el cuelgue al querer abrir todos los archivos o todos los fuentes del directorio raiz del explorador de archivos mediante las opciones del menú contextual
- Agregada la pestaña de dependencias directas en el dialogo de propiedades del ejecutable
- Corregida la busqueda de dependencias para determinar si corresponde recompilar un fuente de un proyecto: ahora considera correctamente los directorios adicionales para cabeceras definidos en la configuracion del proyecto
- Ahora se distinguen las pestañas de dos archivos de igual nombre (utilizando un numero auxiliar entre paréntesis luego del titulo)
- Agregadas opciones de merging para las comparaciones con diff (menu Herramientas->Comparar Archivos): permiten aplicar los cambios marcados selectivamente
- Agregado un cuadro de configuraciones generales de proyecto (Archivo->Configuracion del Proyecto...) para definir el nombre, las opciones de tabulado, etc
- Se recuerda la pestaña del cuadro de diálogo Opciones de Compilacion y Ejecucion de Proyecto al cerrarlo
- Se fuerza el reenlazado al cambiar la opción "Es un programa de consola" en la configuración de un proyecto en Windows
- Agregada una opción para subir un nivel la raiz en el menú contextual del panel Explorador de Archivos
- Corregido el orden alfabético de los elementos del árbol de archivos luego de renombrar un archivo de un proyecto
- Agregada una opción para cambiar el orden de compilación de los fuentes (mover uno al primer lugar) en el menú contextual del panel Arbol de Archivos
- Ahora se puede abrir automáticamente el ultimo fuente/proyecto en que se trabajó si se pasa el parámetro "--last"
- Agregada una opción para listar todas las lineas resaltadas de un proyecto, o de los archivos abiertos, en el menú Editar
- Corregida la visualización de arreglos en el depurador con muchos elementos repetidos
- Corregido el cuelgue cuando el depurador no puede obtener los argumentos en el trazado inverso
- Agregada la posibilidad de definir un tabulado particular para cada proyecto diferente
- La opción Insertar #include correspondiente ya no agrega "using namespace std;" siempre
- Se volvió a colocar en la ventana de propiedades una opción para que gcc muestre sus errores en español

Release 20090222

- Corregido el runner para tomar correctamente los argumentos y poder ejecutar archivos con caracteres especiales en su path
- Al cerrar y volver a abrir el diálogo de Preferencias, se mantiene la posición y pestaña seleccionada
- Se puede ir directamente a la ayuda rápida de una palabra haciendo click con la tecla Alt apretada sobre la misma en el área de código
- Se puede ir directamente a la definicion de una clase, un metodo o una funcion haciendo click con la tecla Control apretada sobre su nombre en el área de código
- Los cambios en la configuracion de las barras de herramientas es aplican sin necesidad de reiniciar
- Se puede acceder a la configuración de las barras de herramientas haciendo click con el botón derecho del mouse sobre cualquiera de ellas
- Agregado un cuadro de dialogo para configurar la composición de las barras de herramientas desde diálodo de Preferencias
- Agregada una pestaña para configurar las barras de herramientas en el diálodo de Preferencias
- Remodelado el aspecto del diálogo de Preferencias
- Corregido el problema de foco al editar las opciones de un breakpoint desde el diálogo Lista de Break/Watch points
- Corregido el segfault al intentar parsear automáticamente (por el timer de foco) un fuente que ya se cerró
- Agregada una opcion al menu contextual de la Tabla de Trazado Inverso para evitar que el Step In se detenga en determinados fuentes (por ejemplo, las cabeceras de STL)
- En el cuadro de diálogo Ir a archivo se muestran los paths relativos al directorio de proyecto si hay un proyecto abierto
- Recompilada wxWidgets-2.8.8 para Windows para incluir soporte para OpenGL y la extensión para manipular SVGs
- Agregados checks para decidir si las busquedas de los cuadros de Ir a Funcion/Clase/Metodo y Ir a Archivo deben distinguir mayusculas y minusculas
- El icono del escritorio tambien se puede crear desde el diálgo de Preferencias
- Si es la primera vez que se ejecuta en GNU/Linux ofrece crear un icono en el escritorio
- Corregido el segfault de la opción Cerrar todos del menú Archivo
- Mejorados algunos detalles menores de la presentación durante la carga
- Corregido un error en el parser que hacia que entre en un bucle infinito ante determinados errores de sintaxis
- Ahora el dialogo del asistente para nuevo archivo se ajusta al tamaño y se centra adecuadamente
- Creada una nueva ventana de splash para poder soportar formas
- Corregida la eliminación de procesos en GNU/Linux al detener la ejecución
- Agregado un submenu para analizar la informacion de profiling en el menu Herramientas (combinando gprof, gprof2dot y graphviz)

Release 20081224

- Corregidos los botones para explorar en las opciones de la pestaña Rutas 2 del diálogo de Preferencias
- Ahora los enlaces de la ayuda a sitios de internet se abrirán con el navegador del sistema
- Creado un lanzador generico shellexecute.exe que funciona como interfaz para la API de Windows homónima para lanzar el navegador por defecto
- Corregidos los errores de la integración las herramientas Doxygen y diff en Windows
- El título de la ventana principal ahora muestra el nombre del proyecto y no el nombre del archivo de proyecto cuando se abre uno
- Agregada una ventana para definir algunas opciones para Doxygen
- Dividida en dos la pestaña Rutas del diálogo de Preferencias
- Agregada una opción para abrir el explorardor con la ayuda generada por Doxygen desde el menu de herramientas
- Ahora se pueden configurar los comandos para Doxygen y el navegador desde el dialogo de Preferencias
- Agregada una opción para correr Doxygen desde el menu de herramientas
- Agregadas opciones para ignorar diferencias en espacios, lineas en blanco y/o mayusculas y minusculas al comparar archivos
- La vista se divide automaticamente en dos para mostrar los archivos comparados
- Agregado el submenu Comparar archivos al menu Herramientas, para comparar dos fuentes abiertos y colorearlos segun sus diferencias (utilizando la herramienta diff)
- Reubicados los items Dibujar diagrama de flujo..., Dibujar jerarquia de clases... y Generar Makefile... en el menu Herramientas
- Agregado el menu herramientas para facilitar la integracion de herramientas externas
- Modificado el parser para diferenciar macros sin argumentos de macros con argumentos nulos
- Agregada una opción en el menú contextual del Arbol de Símbolos para generar un índice de autocompletado a partir de su contenido
- Corregidos los colores del estilo inverso (con fondo negro) para Makefiles y HTMLs
- Las lineas comentadas con doble barra antes del indentado, se mantienen igual ante el indentado inteligente o automático

Release 20081120

- Ahora se puede desreferenciar la inspección de un arreglo en la tabla de inspecciones haciendo doble click sobre su valor
- Corregido el error en la asignación de frame al editar una inspección existente de la tabla de inspecciones
- Corregida la visualición de matrices o vectores con elementos repetidos
- Corregida la visualición del numero de frame en la tabla de inspecciones
- Corregida la actualización de inspecciones resultantes de dividir una inspección compuesta
- Corregida la visualización de ayuda de llamadas a metodos o funciones con nombres de menos de tres caracteres
- Los cuadros de sugerencias para llamadas a metodos y funciones reajustan su texto al ancho de ventana disponible si es muy largo
- Implementada la recuperacion ante cierto tipo de errores provocados por defectos internos del ZinjaI
- Agregadas las directivas de procesador en el sistema de autocompletado
- Agregadas las palabras reservadas del lenguaje en el sistema de autocompletado
- Corregido el menú contextual del panel del explorador de archivos
- La terminal en GNU/Linux ya no se muestra para la depuración si la configuración del proyecto indica que no es un programa de consola
- Corregida la determinación de ámbito para el autocompletado cuando se encuentra dentro de un destructor
- Agregado el botón de ayuda en los diálogos en los que faltaba
- Corregida la aplicación de algunos sizers para acomodar correctamente los controles en los diálogos
- Limpieza parcial del código relativo a los wxSizerFlags (y posible optimizacion)
- Agregados botones en las ventanas de Opciones Compilación y Ejecución para editar más comodamente algunos campos con los diálogos nuevos
- Agregados dos diálogos genéricos para editar con comodidad parámetros de texto largos o listas y enumeraciones
- Corregidos los wrappers para graphviz y viewer en Windows para evitar mostrar la consola y los problemas de foco
- Corregido el indentado automático al presionar Enter sobre una llave que cierra
- Corregida la inserción automática errónea de la llave que cierra en un switch o en una clase
- La ayuda rápida sobre metodos y funciones definidos en el código del usuario presenta hipervínculos a la ayuda de sus respectivos tipos y los de sus argumentos si existe
- La ayuda rápida sobre variables o atributos definidos en el código del usuario presenta hipervínculos a la ayuda de sus respectivos tipos si existe
- Movidos los items Dibujar Diagrama de Flujo y Dibujar Jerarquia de clases al menu Ver
- Corregidos errores en el visor de graficos (titulo de la ventana y visualizacion a pantalla completa)
- Agregadas las dependencias de graphviz (Windows y GNU/Linux) y el wrapper draw para su correcto funcionamiento
- Agregado un menu contextual para el arbol del explorador de archivos
- Corregido defecto al reacomodar la salida del compilador en determinadas advertencias del ISO C++
- Corregido defecto al reacomodar la salida del compilador si el mensaje de error incluye un método cuyo nombre tiene un solo caracter
- Agregado el panel de exploración de archivos
- Corregida la selección automática del primer frame que contenga información de depuración en el panel de trazado inverso si el programa se detiene en un frame para el cual no hay información de depuración
- Agregada una opción para ir directamente a los tutoriales en el menú Ayuda
- Se puede invocar el autocompletado manualmente presionado Ctrl+Espacio
- El número de archivos abiertos recientemente es configurable (hasta 30 archivos)
- Los items del arbol de la ventana de ayuda se seleccionan con un solo click
- Corregido el autocompletado de miembros de atributos heredados
- Ahora se quita la llave que cierra del final de la linea si se colocó automáticamente otra debajo al presionar enter justo al comienzo de un bloque delimitado por llaves en una misma linea
- Agregadas las consideraciones necesarias para visualizar los diagramas de clases en Windows
- Solucionado el cuelgue al esperar la actualización del parser para mostrar el diálogo de jerarquia de clases
- Agregada la visibilidad de metodos y atributos al Diagrama de Jerarquía de Clases (simil UML) y alineados a la izquierda
- Agregada la opción de exportar los diagramas de relaciones de clases a png,jpg,bmp,pdf,ps,svg y dia
- Reemplazado el cuadro para pedir argumentos antes de la ejecución (ahora recuerda la lista de argumentos de ejecuciones anteriores y permite introducir archivos o directorios mediante sus respectivos cuadros de dialogo)
- Agregados botones para buscar (con un cuadro de selección de archivo) los comandos de los compiladores y el depurador en el cuadro de prefencias
- Agregada una opcion a la configuración para establecer el visualizador de imágenes
- Implementado un visualizador de imágenes con CImg para mostrar el diagrama de clases
- Agregado un cuadro de diálogo para configurar el grafo de jerarquía entre clases
- Agregada una opción en el menú Ejecutar para visualizar la jerarquía de clases en un grafo
- La función Resaltar Lineas del menú edición ahora se comporta uniformemente al seleccionar un conjunto de lineas (se resaltan/desresaltan todas, en lugar de invertir cada una individualmente)
- Corregidos los iconos de Aceptar y Cancelar en el diálogo de Opciones del BreakPoint, y el ícono de Propiedades del Ejecutable en el menú Ejecutar
- La lista de warnings en el panel de resultados de la compilación se despliega automáticamente si se compila un proyecto sin errores

Release 20080814

- Agregado un check para redimensionar automaticamente los anchos de columnas de una matriz de inspeccion al redimensionar su ventana
- Agregados los iconos para los tipos de archivo en los recursos del ejecutable para Windows
- Corregidos los cuelgues al iniciar ZinjaI en Windows por redimensionar tablas que aun no existen (al crear paneles de inspeccion o trazado inverso)
- Corregida la actualización de los exploradores de inspecciones
- Corregida la aplicación de las condiciones de los breakpoints cuando se modifican durante la depuración
- Las matrices de inspecciones mantienen su ambito original
- Se optimizó el manejo interno de los variable objects de gdb correspondientes a expresiones que ya no se muestran/actualizan
- Agregada una columna en el panel de inspecciones que indica el ambito (nro de frame del trazado inverso) de cada inspeccion
- Las expresiones de arreglos y estructuras del panel de inspeccion ahora mantienen su ambito original
- Cuando se actualiza la tabla de trazado inverso se selecciona el primer frame que tenga informacion de depuraccion, no necesariamente el frame donde se interrumpio
- Corregido bug (lista recursiva) al cambiar de categoria (fuente, cabecera, otros) un archivo de un proyecto
- Ahora el depurador se detiene si se cierra la terminal donde se esta ejecutando, en GNU/Linux
- Corregido el movimiento indebido de un punto de interruoción al ejecutar un programa simple sin titulo
- Agregadas opciones en el menú Editar para subir o bajar en una linea la selección
- Agregada una opción para definir colores "invertidos" en los fuentes (fondo negro) en el cuadro de Preferencias
- Ahora se puede inpeccionar en la matriz de inspección arreglos de caracteres
- Actualizada la versión de wxWidgets a 2.8.8
- Ahora se pueden colocar en las tablas de inspecciones de arreglos arreglos dinamicos, estableciendo una cantidad de elementos
- Corregidos pequeños errores de visualización de las tablas de depuración, y mejorada la velocidad de actualización
- Implementada la clase mxInspectionMatrix para mostrar arreglos, clases, arreglos y matrices en un dialogo propio fuera de la tabla de inspecciones
- Ya se muestra correctamente la fila seleccionada en las tablas de inspecciones y trazado inverso al hacer click con el boton derecho del mouse
- Corregida la exploracion de inspecciones que consiste en un puntero a una clase
- Implementada la barra de estado de depuración en la barra de herramientas en la vista de depuración
- Implementada la clase mxOSD para mostrar mensajes al usuario
- Los parametros extras para el compilador ahora se colocan luego del fuente en la linea de compilación, para poder enlazar librerías externas en Windows (donde el orden si altera el resultado)
- Se corrigió el archivo gtk/clipbrd.cpp de los fuentes de wxWidgets para poder copiar caracteres especiales al portapapeles de gtk (GNU/Linux)
- Ya no se lee el comando del runner del archivo de configuración
- Ya no se cuelga si presionan detener dos veces seguidas durante la depuración
- Agregado un "sash" para redimensionar los paneles del explorador de inspecciones
- Al crear una clase para un proyecto mediante el asistente, se agregan automáticamente los includes de las clases base
- Al ir a una funcion o clase mediante el dialogo "Ir A Funcion", esta se despliega si estaba plegada

Release 20080612

- Ahora se avisa antes de cerrar un archivo compartido al usar la opcion "Cerrar" del menu "Archivo"
- Modificado el runner para que diferencie salidas normales de anormales(por señal) en GNU/Linux
- Agregada una opcion para generar información de "profiling" para gprof en la pestaña de opciones de compilación de proyecto
- Corregido el conteo de veces que se a alcanzado un breakpoint en el cuadro de opciones
- Corregida la funcionalidad para ir a una linea previamente marcada (ya no se detiene en los puntos de interrupción)
- Agregado el argumento "-pedantic-errors" a los argumentos por defecto para un programa simple que el compilador se ajuste mejor al estandar
- Agregada opcion para volver a ejecutar el ultimo cpp ejecutado si se intenta ejecutar una cabecera en el modo ejercicio
- Agregados botones en los cuadros de opciones de compilacion junto a los argumentos para agregar rutas de archivos o directorios
- Agregado un boton el cuadro de preferencias junto al comando del terminal con las opciones reconocidas (xterm, konsole o gnome-terminal)
- Eliminados los parametros de comando de runner y parser de la configuracion de usuario
- En GNU/Linux se verifca si existe xterm, sino se prueba con konsole y gnome-terminal, y si no se advierte al usuario
- Reemplazados todos los arreglos de wxChar por wxString para evitar desbordamientos en las preferencias y configuraciones de proyecto
- Corregida la division de una inspeccion en varias (por el ...) luego de volver a soilicitar tras haberla ingresado incorrectamente
- Agregado un boton en la ventana de busqueda de actualizaciones para ver el nuevo registro de cambios si se encuentra una nueva version
- Corregida la funcionalidad del cuadro Ir a Linea
- Los resultados de la busqueda en la ventana de ayuda ahora se ordenan alfabeticamente
- Corregido el manejo de la marca del punto de ejecución actual en el margen del fuente
- Ahora guarda correctamente el estado de un fuente de proyecto al cerrarlo mediante Cerrar o Cerrar Todo del menu Archivo
- Ya se pueden eliminar breakpoints desde la lista presionando suprimir
- Ahora se pueden modificar las propiedades de un breakpoint desde la lista
- Ya se muestran todos los breakpoints en la lista (incluyendo los que no estan colocados en el depurador)
- Implementada la funcionalidad fuera de depuración del dialogo de propiedades de un breakpoint
- Ahora F1 en el cuadro de sugerencias abre la ayuda principal
- Implementada la funcionalidad fuera de depuración del dialogo de propiedades de un breakpoint
- Rediseñado el manejo de la información de depuración para incluir las nuevas opciones asociadas
- Agregado el cuadro de dialogo de propiedades de un breakpoint (conteo, condicion, habilitar/desabilitar, etc...)
- Corregida la eliminación de puntos de interrupción en fuentes sin título
- Los tooltips del codigo fuente ahora se muestran sin necesidad de que este tenga el foco, y se ocultan al mover el mouse o presionar una tecla
- Ya no se pueden abrir mas de un dialogo de preferencias al mismo tiempo
- Implementada la verificacion de actualizaciones disponibles a traves de internet
- Mejorado el dimensionamiento y redimensionamiento de las tablas de trazado inverso e inspecciones
- Implementada la visualizacion de la lista de breakpoints y watchpoints
- Reemplazados los combos de la tabla de inspecciones por menus popup para evitar los problemas del foco
- Implementada la funcionalidad de la columna "WatchPoint" en la tabla de inspecciones
- Eliminado el codigo obsoleto para el indice de cabeceras segun palabra clave

Release 20080601

- Corregido el parseo de la salida del compilador para errores precedidos por "intantiated from..."
- Agregado un boton para "stripear" el ejecutable en el dialogo de propiedades
- Corregida la prevencion del segfault en el parsing de la salida del compilador
- Agregada la pestaña de dependencias en el cuadro de propiedades del ejecutable en GNU/Linux
- Agregado el cuadro de propiedades del ejecutable
- Ahora el enter en la ventana de ayuda solo equivale al boton buscar si el foco esta en el cuadro de texto
- Corregido el socket servidor para compartir archivos a travez de la LAN
- Corregido el segfault al intentar recuperar la lista de archivos compartidos por segunda vez antes de que termine la primera
- Ahora agrega correctamente la extension al querer grabar un programa simple sin extension
- Ahora se fuerza al compilador a intentar compilar como fuentes C++ a archivos sin extensión
- Corregida la insercion de comillas al reemplazar variables en los parametros de compilacion
- Agregado un control en el parseo de la salida del compilador para evitar segfaults ante salidas no previstas
- Agregado un menu contextual al arbol de salida del compilador para abrir la salida en bruto
- Corregida la carga de macros con parametros desde los indices de autocompletado
- Ahora ignora correctamente lineas en blanco al cargar un indice de autocompletado
- Agregadas sugerencias especiales para la primera vez que inicia el entorno, y cuando se actualiza
- Agregada opción en el menu Ver para trabajar a pantalla completa
- Corregida la ubicacion en que queda el cursor luego de eliminar una linea

Release 20080510

- Ahora avisa si se pretende guardar un fuente sin extensión (en modo programa simple)
- Cambiado el valor por defecto para los parametros para el compilador de un programa simple a "-Wall"
- Corregida la insersión de filas para dividir inspecciones compuestas
- Corregida la busqueda de dependencias de un fuente cuando se incluye un path relativo superior (que comienza con "../")
- Corregida la lectura de parámetros en templates
- Corregido el segfault al buscar un archivo o funcion antes de que caduque el timer que actualiza la lista
- Ahora al reemplazar ${MINGW_DIR} en los parametros de compilacion de un proyecto agrega comillas si es necesario
- La opcion Descomentar del menú Edición ahora también trabaja sobre comentarios tipo C (/*...*/)
- La opcion Comentar del menú Edición ahora utiliza comentarios tipo C (/*...*/) cuando se trata de una selección una sola línea
- Se corrigio el agregado de archivos a un proyecot mediante el menu contextual del arbol de archivos
- Ahora se define correctamente el orden inicial de los paneles y las barras de herramientas
- Ya no muestra la terminal si es un proyecto de consola en GNU/Linux
- Corregido el parametro "-pedantic-errors" en la compilación de un proyecto
- Agregados atajos de teclado para plegar o deplegar el código en una linea particular
- Agregados el segfault en la salida del compilador cuando a parece "In instantiation of"
- Agregados los calltips para constructores
- Arreglada la lectura de atributos en los indices de autocompletado
- Arreglado el indentado inteligente al pegar o indentar manualmente
- Mejorado el manejo de templates en el autocompletado (reconocimiendo de variables locales)
- Verificada la compilación con gcc 4.1.2 y wxWidgets 2.8.7
- Agregados los titulos a los paneles
- Agregadas opciones para definir constructor, destructor y herencias al crear una nueva clase para un proyecto con el Asistente para Nuevo Archivo
- Ahora se puede agragar multiples inspecciones utilizando los puntos suspensivos para indicar un rango en el Panel de Inspecciones
- Agregada opcion al menu contextual del trazado inverso para inspeccionar todos los argumentos o todas las variables locales
- La opcion insertar #include correspondiente permite hacerlo a partir de una instancia de una clase
- Al agregar o modificar una inspeccion ahora avisa y vuelve a solicitar la expresion si no es valida
- Agregada opcion para explorar todas las inspecciones en el mismo explorador
- Agregado el menu contextual de la tabla de trazado inverso (ahora se pueden explorar todos los argumentos o todas las variables locales)
- Ya se borra correctamente la marca del punto de ejecucion actual, aunque el usuario modifique el fuente
- Explorador de inspecciones: clase mxInspectionExplorer (segunda parte)
- Explorador de inspecciones: clase mxInspectionExplorer (primera parte)
- Corregido el tratamiento de funciones y metodos templatizados en el Parser
- Corregido el bucle que espera por la tty al inicio de la depuracion en GNU/Linux
- Corregida la busqueda de la ayuda (ahora busca en todos los archivos, y evita repeticiones)
- Agregado el menu contextual a la tabla de inspecciones
- Ahora el depurador avisa cuando se intenta abrir un ejecutable que no contiene informacióm de depuración
- Ya se puede interrumpir arbitrariamente un programa en depuración en GNU/Linux
- Corregida la administración de e la terminal para la depuración en GNU/Linux
- Corregida la actualizacion de inspecciones a alias de variables
- Corregido el paso de parametros para el ejecutable al depurador
- Ahora el depurador muestra correctamente arreglos y permite dividirlos en multiples inspecciones con doble click
- Corregida la division de clases y estructuras en multiples expresiones en la ventana de inspeccion cuando hay herencia
- Se agregó una opción para exportar un código a HTML en el menú Archivo
- Se corrigieron errores varios en los métodos FindTypeOf de mxSource
- El autocompletado soporta alias de tipos definidos en macros
- Las cadenas de la salida del depurador ya no muestran los caracteres de escape que agrega gdb
- Las ayudas de llamadas a funciones tambien tienen en cuenta macros con parametros
- Ahora distingue automáticamente archivos C++ de archivos C y usa el compilador adecuado para cada caso (gcc o g++)
- Al hacer doble click en una expresión que representa un tipo compuesto en el panel de inspección, ésta se divide en sus subexpresiones (por ej, una clase en sus atributos)
- El cuadro de ayuda verifica si el archivo de ayuda seleccionado existe antes de intentar mostrarlo
- Ahora las expresiones que devuelven un tipo compuesto tambien se muestran en la ventana de inspeccion (con p, no como una var en gdb)
- Corregida la actualizacion de los valores en la ventana de inspeccion
- Corregida la forma de pasarle paths al depurador (habia problemas con los espacios y los dos puntos de la unidad en Windows)
- Agregada la opcion para definir si es un porgrama de consola o no (-mwindows) en las opciones de enlazado de un proyecto
- Ahora marca con gris los puntos de interrupcion que no acepto el depurador
- Corregido el path de los archivos en la insercion de breakpoins
- Ahora el depurador no vuelva a abrir otra copia de un archivo sin titulo para marcar el punto de ejecucion
- Corregido el error en DebugManager::WaitAnswer cuando se comienza a recibir una segunda respuestas antes de procesar la primera
- Arreglada la violacion de segmento al redefinir un metodo o una funcion que ya habia sido eliminada en los datos del parser
- Al depurar un programa simple se intentan setear los ptos de interrupcion de todos los fuentes abiertos (por si, por ej, se abrió un .h que incluye el programa)
- La depuracion verifica los includes tambien para saber si debe compilar antes de comenzar
- La depuracion se puede detener en cualquier momento (si es necesari debug->Stop mata el proceso)
- Ahora compila automáticamente antes de depurar
- Ahora habilita/deshabilita los comandos del menu de depuracion al inciar/finalizar la depuracion
- Agregada la ejecucion de proyectos en el depurador
- Agregado el cuadro de busqueda rapida en la barra de herramientas
- El código de la tabla de trazado inverso pasa a formar la clase mxBacktraceGrid
- Ahora el foco si se dirige al teclado al hacer doble click sobre un error en windows (parche temporal que utiliza un timer)
- mxGotoFunctionDialog selecciona el item en el arbol de símbolos al encontrarlo
- Arreglada la violacion de segmento al parsear un archivo que redefine un elemento del autocompletado estandar
- Implementación del panel de inspección (primera parte)
- Implementación del panel de inspección (primera parte)
- Corregida la lectura de nombres de archivos desde el debugger (campos file y fullname de frame)
- Mejorada la visualización del punto actual de la ejecución
- Agregados los atajos de teclado a los comandos de depuración
- Agregados los comandos exec-until y return a la depuración
- Agregada la pestaña Depuracion al cuadro de preferencias
- Implementada la visualización del trazado inverso en la depuración
- Las barras de herramienta se muestran u ocultan automáticamente al iniciar o finalizar la depuración
- Agregada la barra de herramientas de depuración
- mxSource::FindTypeOf ya no confunde una asignacion a continuación de un else sin llaves con una declaración
- Los tooltips, calltips y las ayudas de autocompletado se cierran automaticamente al perder el foco su fuente
- Clase DebugManager (segunda parte - control de stream y ejecución)
- Agregada la notificación de cambios sin guardar mediante un asterisco en el título de la pesataña
- Agregados los tooltips inteligentes en mxSource
- Ahora se pueden poner y quitar breakpoints haciendo click en el margen
- Agregada la opción Recargar al menú Archivo
- Arreglada la deteccion de la carpeta de ZinjaI al inicio
- Arreglados los path del ejecutable para un programa simple con nombre
- Implementado el cuadro mxGotoFileDialog para buscar un archivo rapidamente
- Los indices de autocompletado pueden modificarse sin necesidad de reiniciar
- Agregado el tipo de link quickfile a la ayuda rápida
- Arreglada la presencia del modificador virtual en los metodos de clases al parsear
- Ahora se considera tambien al puntero this para el autocompletado
- Nuevo dialogo para buscar y reemplazar (mxFindDialog, ahora tiene historial, y acepta expresiones regulares y varios ambitos para la busqueda)
- Arreglado el conteo de dimensiones al averiguar el tipo de un parametro para el autocompletado
- Agregada la opción para cerrar siempre los demas fuentes al abrir un proyecto
- Arreglado el cambio de la bandera Modify en mxSource al llamar a SaveTemp
- Reemplazado el cuadro de texto por un checklist para los indices del autocompletado en mxConfigWindow
- Clase DebugManager (primera parte - base)
- Implementado el cuadro mxGotoFunctionDialog para buscar funciones, clases y metodos rapidamente
- Al crear una clase con el asistente en un proyecto, se puede incluir una ruta (directorio)
- Corregidos algunos errores que quedaron del ultimo cambio en el sistema de templates
- Ahora recuerda breakpoints, lineas marcadas y la posicion del cursor en los archivos de un proyecto
- Agregada la opcion Abrir todos para las categorias del arbol de proyecto (fuentes/cabeceras/otros)
- Redefinidos los estilos de los marcadores para el folding, y agregados los de depuracion
- Implementada version preliminar de Buscar en archivos
- Corregida la creacion de la carpeta para los objetos temporales al compilar
- Corregida la creacion de la carpeta para los objetos temporales en el makefile
- Coregida la visualizacion correcta de resultados de busquedas (por el folding)
- Ahora busca el archivo zinjai.dir para saber cual es su directorio de trabajo
- Creada la clase mxMessageDialog (para reemplazar a wxMessageBox)
- Creada la clase mxBitmapButton (para que los botones tengan tambien un icono)
- Creada la clase mxArt (para administrar las imagenes de uso cotidiano)
- Las opciones para compilacion y enlazado soportan el uso de la variable MINGW_DIR
- Los argumentos extra para compilacion y enlazado soportan ejecucion de subcomandos entre acentos
- Agregado el soporte para etiquetas "example" en la ayuda rapida (para abrir los ejemplos)
- Agregado el icono en las pestañas de los archivos
- Arreglada la pelea entre la compilacion y el parsing por la barra de estado en proyectos
- Ahora muestra el tiempo que tomo compilar un proyecto al finalizar exitosamente
- Implementado el soporte para templates para proyectos
- Agregada la propiedad "nombre" a los proyectos
- Los templates de archivos pueden declarar opciones para el compilador (Options) y nombre (Name) en sus comentarios ("// !Z! <propiedad> <valor>")
- Los templates de archivos ya no tienen indice, sino que se toman todos los archivos del directorio
- Corregido el metodo AddInclude de mxSource (y ahora tambien descomenta el include si estaba comentado)
- Corregidos errores varios en el autocompletado inteligente
- Agregado el autocompletado estandar configurable
- Adaptada la inclusion automatica de cabeceras a los nuevos parerData
- El autocompletado tiene en cuenta atributos encadenados (ej: clase->clase->puntero->metodo)
- Las ayudas de llamadas tienen en cuenta ambito (puede ser una clase, un metodo, o un namspace)
- En el autocompletado se muestran los mismos iconos que en el arbol de simbolos
- Corregido el orden de la lista de autocompletado (alfabetico y no case-sensitive)
- Agregada las ayudas de llamadas a metodos y funciones (calltips)
- Corregidos errores varios en el autocompletado inteligente
- Agregadas las consideraciones para break y continue en los diagramas de flujo
- La ayuda rapida de una macro muestra su definicion si su archivo no fue modificado
- Autocompletado inteligente: completa tambien funciones, macros, variables globales y nombres de clases
- Autocompletado inteligente: acepta expresiones con punteros e indices
- Autocompletado inteligente: reconoce casting tipo c o c++
- Agregado el calculo del ancho del margen para nros de linea al cargar un archivo
- Agregados los globos para tips (metodo ShowBaloon) a mxSource
- Implementado el autocompletado basico para metodos y atributos
- Agregada la información de herencia a parserData y HelpManager
- Corregidos varios errores menores:
  - Nombre para indexar los hash de metodos y atributos (fullproto x proto)
  - Opcion default en el indentado inteligente del switch
  - Posicion de una llave si esta sobre el cursor al presionar enter con el indentado inteligente
  - Ya no se duplican los archivos en el arbol de proyecto al abrirlos con ctrl+enter
- Adaptada la clase HelpManager a la nueva arquitectura parserData
- Nueva arquitectura parserData (actions, lista de parserData)
- Nueva arquitectura parserData (propiedades de metodos y atributos)
- Nueva arquitectura parserData (metodos y attributos)
- Agregada la barra de progreso en la barra de estado para la compilacion de proyectos
- Nueva arquitectura parserData (macros y variables globales)
- Nueva arquitectura parserData (declaracion de clases y funciones)
- Nueva arquitectura parserData (primera parte)
- Agregado el menu contextual en mxSource
- Deteccion de tipos para el autocompletado inteligente (primera parte: mxSource::FindTypeOf)
- Agregada la navegacion entre pestañas del notebook de fuente con Ctrl+Tab y Ctrl+Shift+Tab
- La ayuda rapida de una clase muestra su jerarquia de herencia completa, y tambien sus clases hijas
- Agregada la opcion para insertar automaticamente el include necesario a partir de una palabra clave
- Ahora se contempla la declaracion de templates en las reglas de indentado inteligente
- Reescrita la seleccion de errores (ahora subraya en rojo)
- Diagrama de flujo: zoom y panning
- Diagrama de flujo: for if
- Diagrama de flujo: do, while, return
- Implementado buscar en la ayuda de la gui
- El coloreado de sintaxis soporta tambien HTML, XML y Makefiles automaticamente
- Se puede abrir archivos arrastrandolos desde el explorardor a la ventana de ZinjaI
- La opcion agregar del menu contextual del arbol de proyecto permite seleccionas mas de un archivo
- Arreglada la visualizacion del menu de archivos abiertos recientemente en windows
- Arreglado el manejo de directivas de preprocesador y comentarios en el indentado inteligente
- Diagramas de flujo (primera parte)
- La compilacion se ejecuta en la carpeta del fuente/proyecto
- Agregada la opción para evitar el warning no new line at end of file
- Corregido el renombrado de archivos en proyectos
- Al pegar un bloque de código, este se indenta automáticamente de acuerdo al nuevo contexto
- El arbol de simbolos se actualiza genera automaticamente al abrir un proyecto
- El pegado indentado acomoda el código del portapapeles de acuerdo a las reglas del indentado automático al pegar
- La edición inteligente agrega la llave que cierra un bloque luego de presionar enter tras introducir la llave que lo abre
- Los procesos de compilacion y ejecucion se matan correctamente al interrumpirse con Ejecucion->Detener
- Se puede continuar trabajando mientras se parsean los fuentes para el arbol de simbolos
- Al seleccionar un error se selecciona la palabra que lo generó en el código si se encuentra
- Agregado el autocompletado de constructores en declaraciones de instancias
- La lista de autocompletado ya no muestra elementos repetidos
- Se pueden cargar clases para el autocompletado estandar
- Agregado el resaltado de lineas de usuario
- Resaltado de constructores y destructor en el arbol de simbolos
- Ventana de ayuda (mxHelpWindow) (segunda parte: barra de herramientas y arbol indice)
- Ventana de ayuda (mxHelpWindow) (primera parte: html base)
- Corregido renombrar en el arbol de proyecto
- Arreglado el orden de las lista de autocompletado
- Agregada la información de herencia obtenida del parser en la ayuda rápida
- El autocompletado ya no es case sensitive
- Agregada la informacion de visibilidad para los miembros y attributos de la ayuda rapida generados por el parser
- Agregado el indice en caso de haber multiples resultados para la ayuda rapida
- Independizado cbrowser de TCL
- Agregado el tratamiento especial de los metodos virtuales por parte de Parser
- Adaptado y reacomodado del codigo de cbrowser (parser tomado de SourceNavigator)
- Implementadas las opciones de plegado en el menu ver
- Implementada la opcion Indentar del menu edicion
- Implementado el indentado inteligente (segunda parte)
- Implementado el indentado inteligente (primera parte)
- Arreglado Seleccionar Bloque del menu edicion
- Agregada la informacion del Parser a la ayuda rapida
- Agregadas las opciones "Cerrar Todo" y "Guardar Todo" en el menu Archivo
- Agregadas las opciones "Duplicar Lineas" y "Eliminar Lineas" en el menu Edicion
- Agregada la pagina del asistente mxNewWizard para crear un archivo en un proyecto
- Agregada la informacion del parseo para el arbol de simbolos al autocompletado
- Arreglada la salida del compilador en windows (ahora hay un timer que va actualizando el arbol de compilacion cada medio segundo)
- Agregada opcion para guardar el proyecto automaticamente
- Agregadas opciones para administrar mas de una configuracion en un proyecto
- Abre archivos al iniciar si se le pasan como parametros
- Ordenamiento del arbol del simbolos
- //Reemplazo del wxHashMap por un std::map para data en el parser (es mas rapido y muestra ordenado)
- Compilacion de fuentes individuales dentro de proyectos
- Implementacion del las opciones de compilacion de proyecto (segunda parte)
- Arreglado la compilacion y exportacion de makefiles de proyectos que tienen fuentes que incluyen espacios en sus rutas
- Arreglado el manejo de rutas relativas y absolutas en proyectos
- Implementacion del las opciones de compilacion de proyecto (primera parte)
- Agregadas macros en mxUtils para el trabajo con listas enlazadas para limpiar codigo
- Corregido el parser para que no procese mas de una vez el mismo archivo en un proyecto
- clase mxProjectConfigWindow
- Compilacion de proyectos (segunda parte)
- Exportacion de Makefile
- Compilacion de proyectos (primera parte)
- Actualizada clase Parser para trabajar con proyectos
- Menu contextual del arbol de proyecto
- Clase ProjectManager y manejo de proyectos (tercera parte)
- Clase ProjectManager y manejo de proyectos (segunda parte)
- Arreglado el problema al compartir el primer archivo en windows
- Arreglado el problema del paso de parametros en windows
- Historial de archivos abiertos
- Busqueda de includes (segunda parte)
- Busqueda de includes para armar las dependencias de un cpp respecto a las cabeceras (primera parte)
- Clase ProjectManager y manejo de proyectos (segunda parte)
- Nuevos iconos para la barra de herramientas y los menues
- Agregados iconos a los arboles de symbolos y salida del compilador
- Agregada distincion en el alcance de los miembros y atributos de una clase en Parser
- Bugs arreglados
  - parseo del error cuando aparece la unidad en el path del archivo
  - foco del nuevo source despues de mostrar el asistente mxNewWizard
  - menu contextual del arbol de simbolos en windows
  - cuadros buscar, reemplazar e ir a linea en windows
  - cuelgue del doble click en una categoria del arbol de simbolos
  - tamaños de iconos
  - colores de texto en windows
  - ejecucion en paths con espacios
  - visualizacion de la consola de ejecucion en windows
- Agregado icono a la ventana principal y al exe
- Makefile para windows
- Arreglada el foco en los comandos buscar y reemplazar
- Arreglada la apariencia de los Add***Ctrl en mxUtils
- Agregado directorio de trabajo configurable en mxConfigWindow y runner
- Arreglados los paths en ConfigManager::LoadDefaults para que sean independientes del SO
- Panel de nuevo proyecto en mxNewWizard
- clase ProjectManager (primera parte)
- Parser: seguir includes
- segunda parte de clase CodeHelper (autocompletado y calltips)
- Asistente para nuevo archivo (segunda parte: asistente para plantilla, y tooltips)
- arreglo: posibilidad de seleccionar nodos intermedios en el arbol de simbolos
- primera parte de clase CodeHelper (autocompletado y calltips)
- arreglo del cuelgue cuando se busca archivos compartidos en un host que no existe
- clase mxOpenSharedWindow
- clase mxShareSourceWindow
- clase ShareManager (segunda parte)
- Comienza el registro de cambios
  - clase ShareManager (primer parte)
  - Recordar posicion de la ventana
  - Archivo -> Abrir seleccionado
  - Asistente para nuevo archivo (primera parte: base, archivo en blanco y a partir de plantilla)
  - Arbol de simbolos
  - clase Parser (integracion con el parser de source navigator)
  - Splash screen
  - Cuadro de preferencias
  - Ventana de tips
  - Cuadro de configuracion de compilacion y ejecucion
  - Reacomodado del codigo
  - Barras de herramientas
  - Ayuda Rapida
  - Creacion del HelpManager
  - Cuadros de buscar, reemplazar e ir a
  - Posibilidad de compilar sin guardar
  - Presentacion de la salida en arbol
  - Llamada a compilador
  - Creacion del ConfigManager
  - Arbol de Proyecto
  - Base (a partir de los ejemplos de aui y scintilla de la wx)
  - Trabajo Previo:
    - Selección de la biblioteca para la GUI: wxWidgets (por potencia, portabilidad, orientacion a objetos, licencia, ...)
    - Selección de un parser C++: cbrowser de SourceNavigator (opcion temporal)
    - Lectura de material
      - Documentación, referencia, tutoriales y ejemplos de wxWidgets
      - Documentación oficial de gdb